# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Generate distribution booleans
%global rhel8	%(if [ "%{__distinit}%{__distvers}" == "rhel8"	]; then echo 1; else echo 0; fi)
%global rhel9	%(if [ "%{__distinit}%{__distvers}" == "rhel9"	]; then echo 1; else echo 0; fi)
%global rhel10	%(if [ "%{__distinit}%{__distvers}" == "rhel10"	]; then echo 1; else echo 0; fi)
%global fc28	%(if [ "%{__distinit}%{__distvers}" == "fc28"	]; then echo 1; else echo 0; fi)
%global fc29	%(if [ "%{__distinit}%{__distvers}" == "fc29"	]; then echo 1; else echo 0; fi)
%global fc30	%(if [ "%{__distinit}%{__distvers}" == "fc30"	]; then echo 1; else echo 0; fi)
%global fc31	%(if [ "%{__distinit}%{__distvers}" == "fc31"	]; then echo 1; else echo 0; fi)
%global fc32	%(if [ "%{__distinit}%{__distvers}" == "fc32"	]; then echo 1; else echo 0; fi)
%global fc33	%(if [ "%{__distinit}%{__distvers}" == "fc33"	]; then echo 1; else echo 0; fi)
%global fc34	%(if [ "%{__distinit}%{__distvers}" == "fc34"	]; then echo 1; else echo 0; fi)
%global fc35	%(if [ "%{__distinit}%{__distvers}" == "fc35"	]; then echo 1; else echo 0; fi)
%global fc36	%(if [ "%{__distinit}%{__distvers}" == "fc36"	]; then echo 1; else echo 0; fi)
%global fc37	%(if [ "%{__distinit}%{__distvers}" == "fc37"	]; then echo 1; else echo 0; fi)
%global fc38	%(if [ "%{__distinit}%{__distvers}" == "fc38"	]; then echo 1; else echo 0; fi)
%global fc39	%(if [ "%{__distinit}%{__distvers}" == "fc39"	]; then echo 1; else echo 0; fi)
%global fc40	%(if [ "%{__distinit}%{__distvers}" == "fc40"	]; then echo 1; else echo 0; fi)
%global fc41	%(if [ "%{__distinit}%{__distvers}" == "fc41"	]; then echo 1; else echo 0; fi)
%global fc42	%(if [ "%{__distinit}%{__distvers}" == "fc42"	]; then echo 1; else echo 0; fi)
%global fc43	%(if [ "%{__distinit}%{__distvers}" == "fc43"	]; then echo 1; else echo 0; fi)
%global fc44	%(if [ "%{__distinit}%{__distvers}" == "fc44"	]; then echo 1; else echo 0; fi)
%global fc45	%(if [ "%{__distinit}%{__distvers}" == "fc45"	]; then echo 1; else echo 0; fi)
%global fc46	%(if [ "%{__distinit}%{__distvers}" == "fc46"	]; then echo 1; else echo 0; fi)
%global fc47	%(if [ "%{__distinit}%{__distvers}" == "fc47"	]; then echo 1; else echo 0; fi)
%global fc48	%(if [ "%{__distinit}%{__distvers}" == "fc48"	]; then echo 1; else echo 0; fi)

# hardened build unless overridden
%global _hardened_build	%{?_hardened_build}%{!?_hardened_build:1}

# package options
%global with_tls	yes
%global with_sasl2	yes
%global with_milter	yes
%global with_ldap	yes
%global enable_pie	yes
%if %{rhel8} || %{fc28} || %{fc29} || %{fc30} || %{fc31} || %{fc32} || %{fc33}
%global use_cdb		no
%else
%global use_cdb		yes
%endif
%if %{rhel8} || %{rhel9} || %{fc28} || %{fc29} || %{fc30} || %{fc31} || %{fc32} || %{fc33} || %{fc34} || %{fc35} || %{fc36} || %{fc37} || %{fc38} || %{fc39} || %{fc40} || %{fc41} || %{fc42} || %{fc43}
%global use_libdb	yes
%global db_suffix	db
%else
%global use_libdb	no
%global db_suffix	cdb
%endif
%if %{rhel8} || %{rhel9} || %{rhel10} || %{fc28} || %{fc29} || %{fc30} || %{fc31} || %{fc32} || %{fc33} || %{fc34} || %{fc35} || %{fc36} || %{fc37} || %{fc38} || %{fc39} || %{fc40} || %{fc41} || %{fc42}
%global use_sysusers 0
%else
%global use_sysusers 1
%endif
%if %{fc28} || %{fc29}
%global use_hesiod	yes
%define hesiod_define()	-D%1
%else
%global use_hesiod	no
%define hesiod_define()	%{nil}
%endif
%if %{rhel8} || "%{__distinit}" == "fc"
%global with_nis	yes
%else
%global with_nis	no
%endif

%global sendmailcf %{_datadir}/sendmail-cf
%global stdir %{_localstatedir}/log/mail
%global smshell /sbin/nologin
%global spooldir %{_localstatedir}/spool
%global maildir %{_sysconfdir}/mail
%global sslcert %{_sysconfdir}/pki/tls/certs/sendmail.pem
%global sslkey %{_sysconfdir}/pki/tls/private/sendmail.key

%if "%{with_nis}" == "yes"
%global nis_cflags	-DNIS
%global nis_ldadd	-lnsl
%endif

Summary: A widely used Mail Transport Agent (MTA)
Name: sendmail
Version: 8.18.1
Release: 10.0.cf.%{__distinit}%{__distvers}
License: sendmail-8.23 AND MIT AND MIT-CMU AND BSD-3-Clause AND CDDL-1.0 AND BSD-4-Clause AND BSD-4-Clause-UC AND PostgreSQL AND ISC AND HPND-sell-variant AND mailprio
URL: http://www.sendmail.org/
Source0: https://ftp.sendmail.org/sendmail.%{version}.tar.gz
# Systemd Service file
Source1: sendmail.service
# NetworkManager dispatch script
Source2: sendmail.nm-dispatcher
# script to generate db and cf files
Source3: sendmail.etc-mail-make
# default sysconfig file
Source4: sendmail.sysconfig
# default /etc/mail/Makefile
Source5: sendmail.etc-mail-Makefile
# default sendmail.mc
Source6: sendmail-redhat.mc
# Systemd Service file
Source7: sm-client.service
# pam config
Source8: sendmail.pam
# sasl2 config
Source11: Sendmail-sasl2.conf
# default /etc/mail/access
Source12: sendmail-etc-mail-access
# default /etc/mail/domaintable
Source13: sendmail-etc-mail-domaintable
# default /etc/mail/local-host-names
Source14: sendmail-etc-mail-local-host-names
# default /etc/mail/mailertable
Source15: sendmail-etc-mail-mailertable
# default /etc/mail/trusted-users
Source16: sendmail-etc-mail-trusted-users
# default /etc/mail/virtusertable
Source17: sendmail-etc-mail-virtusertable
# differences between Fedora and city-fan.org sendmail specs
Source100: sendmail-8.18.1-10.0.cf-city-fan.org.patch
# fix man path and makemap man page
Patch3: sendmail-8.17.2-makemapman.patch
# fix smrsh paths
Patch4: sendmail-8.16.1-smrsh_paths.patch
# fix sm-client.pid path
Patch7: sendmail-8.14.9-pid.patch
# fix sendmail man page
Patch10: sendmail-8.17.1-manpage.patch
# compile with -fpie
Patch11: sendmail-8.17.1-dynamic.patch
# fix cyrus path
Patch12: sendmail-8.13.0-cyrus.patch
# fix aliases.db path
Patch13: sendmail-8.18.1-aliases_dir.patch
# fix vacation Makefile
Patch14: sendmail-8.14.9-vacation.patch
# remove version information from sendmail helpfile
Patch15: sendmail-8.17.2-noversion.patch
# do not accept localhost.localdomain as valid address from SMTP
Patch16: sendmail-8.18.1-localdomain.patch
# build libmilter as DSO
Patch17: sendmail-8.18.1-sharedmilter.patch
# skip colon separator when parsing service name in ServiceSwitchFile
Patch18: sendmail-8.17.1-switchfile.patch
# silence warning about missing sasl2 config in /usr/lib*, now in /etc/sasl2
Patch23: sendmail-8.17.2-sasl2-in-etc.patch
# add QoS support, patch from Philip Prindeville <philipp@fedoraproject.org>
# upstream reserved option ID 0xe7 for testing of this new feature, #576643
Patch25: sendmail-8.18.1-qos.patch
Patch26: sendmail-8.17.1-libmilter-socket-activation.patch
%if "%{use_libdb}" == "yes"
BuildRequires: libdb-devel
%endif
%if "%{with_nis}" == "yes"
BuildRequires: libnsl2-devel
%endif
%if "%{use_cdb}" == "yes"
BuildRequires: tinycdb-devel
%endif
%if "%{use_hesiod}" == "yes"
BuildRequires: hesiod-devel
%endif
BuildRequires: gcc
BuildRequires: groff
BuildRequires: ghostscript
BuildRequires: make
BuildRequires: m4
BuildRequires: systemd
Provides: MTA smtpdaemon server(smtp)
%if !%{use_sysusers}
Requires(pre): coreutils shadow-utils
%endif
Requires(post): systemd /usr/sbin/alternatives coreutils %{_bindir}/openssl
Requires(preun): systemd /usr/sbin/alternatives
Requires(postun): systemd /usr/sbin/alternatives coreutils
Requires: procmail
Requires: bash >= 2.0
%if "%{with_tls}" == "yes"
BuildRequires: openssl-devel
%if 0%{?fedora} >= 41
BuildRequires: openssl-devel-engine
%endif
%endif
%if "%{with_sasl2}" == "yes"
BuildRequires: cyrus-sasl-devel openssl-devel
Requires: /usr/sbin/saslauthd
%endif
%if "%{with_ldap}" == "yes"
BuildRequires: openldap-devel openssl-devel
%endif
%if "%{_sbindir}" == "%{_bindir}"
# Compat symlinks for Requires in other packages.
# We rely on filesystem to create the symlinks for us.
Requires: filesystem(unmerged-sbin-symlinks)
Provides: /usr/sbin/sendmail
%endif

# Move to unversioned documentation directories from F-20
# https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
%global our_docdir %{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# Avoid doc-file dependencies
%global __requires_exclude_from ^%{our_docdir}/
%global __provides_exclude_from ^%{our_docdir}/

%description
The Sendmail program is a very widely used Mail Transport Agent (MTA).
MTAs send mail from one machine to another. Sendmail is not a client
program, which you use to read your email. Sendmail is a
behind-the-scenes program which actually moves your email over
networks or the Internet to where you want it to go.

If you ever need to reconfigure Sendmail, you will also need to have
the sendmail-cf package installed. If you need documentation on
Sendmail, you can install the sendmail-doc package.

%package doc
Summary: Documentation about the Sendmail Mail Transport Agent program
BuildArch: noarch
Requires: sendmail = %{version}-%{release}

%description doc
This package contains the Sendmail Installation and Operation Guide (PDF),
text files containing configuration documentation, plus a number of
contributed scripts and tools for use with Sendmail.

%package milter-devel
Summary: Development files for the sendmail milter library
Requires: sendmail-milter%{?_isa} = %{version}-%{release}
Obsoletes: sendmail-devel < 8.15.2-8
Provides: sendmail-devel = %{version}-%{release}
Provides: sendmail-devel%{?_isa} = %{version}-%{release}

%description milter-devel
Include files and devel libraries for the milter add-ons as part of sendmail.

%package cf
Summary: The files needed to reconfigure Sendmail
Requires: sendmail = %{version}-%{release}
BuildArch: noarch
Requires: m4

%description cf
This package includes the configuration files you need to generate the
sendmail.cf file distributed with the sendmail package. You will need
the sendmail-cf package if you ever need to reconfigure and rebuild
your sendmail.cf file.

%package milter
Summary: The sendmail milter library

%description milter
The sendmail Mail Filter API (Milter) is designed to allow third-party
programs access to mail messages as they are being processed in order to
filter meta-information and content.

This package includes the milter shared library.

%prep
%setup -q

# Check for a supported platform
%if ! %{rhel8} && ! %{rhel9} && ! %{rhel10} && ! %{fc28} && ! %{fc29} && ! %{fc30} && ! %{fc31} && ! %{fc32} && ! %{fc33} && ! %{fc34} && ! %{fc35} && ! %{fc36} && ! %{fc37} && ! %{fc38} && ! %{fc39} && ! %{fc40} && ! %{fc41} && ! %{fc42} && ! %{fc43} && ! %{fc44} && ! %{fc45} && ! %{fc46} && ! %{fc47} && ! %{fc48}
%{error:Unsupported platform %{__distinit}%{__distvers} - please tweak the spec file accordingly}
exit 1
%endif

%patch -P  3 -p1 -b .makemapman
%patch -P  4 -p1 -b .smrsh_paths
%patch -P  7 -p1 -b .pid
%patch -P 10 -p1 -b .manpage
%patch -P 11 -p1 -b .dynamic
%patch -P 12 -p1 -b .cyrus
%patch -P 13 -p1 -b .aliases_dir
%patch -P 14 -p1 -b .vacation
%patch -P 15 -p1 -b .noversion
%patch -P 16 -p1 -b .localdomain

cp devtools/M4/UNIX/{,shared}library.m4
%patch -P 17 -p1 -b .sharedmilter

%patch -P 18 -p1 -b .switchfile
%patch -P 23 -p1 -b .sasl2-in-etc
%patch -P 25 -p1 -b .qos
%patch -P 26 -p1 -b .libmilter-socket-activation

for f in RELEASE_NOTES contrib/etrn.0; do
	iconv -f iso8859-1 -t utf8 -o ${f}{_,} &&
		touch -r ${f}{,_} && mv -f ${f}{_,}
done

# Fix perl location in contrib docs
sed -i -e 's|/usr/local/bin/perl|/usr/bin/perl|' contrib/{bounce-resender,etrn,smcontrol}.pl

# Create a sysusers.d config file
cat >sendmail.sysusers.conf <<EOF
u mailnull 47 - %{spooldir}/mqueue %{smshell}
u smmsp 51 - %{spooldir}/mqueue %{smshell}
EOF

%build
%{?set_build_flags}
# generate redhat config file
cat > redhat.config.m4 << EOF
%if "%{use_cdb}" == "yes"
%if "%{use_libdb}" == "yes"
define(\`confMAPDEF', \`-DNEWDB -DCDB %{?nis_cflags} -DMAP_REGEX -DSOCKETMAP -DNAMED_BIND=1')
%else
define(\`confMAPDEF', \`-DCDB %{?nis_cflags} -DMAP_REGEX -DSOCKETMAP -DNAMED_BIND=1')
%endif
%else
define(\`confMAPDEF', \`-DNEWDB %{?nis_cflags} %{hesiod_define HESIOD} -DMAP_REGEX -DSOCKETMAP -DNAMED_BIND=1')
%endif
%if 0%{?set_build_flags:1}
# problem with gcc-15 (C23 standard) reported upstream
define(\`confOPTIMIZE', \`\`\`\`${CFLAGS} -std=gnu17'''')
%else
define(\`confOPTIMIZE', \`\`\`\`${RPM_OPT_FLAGS}'''')
%endif
%if "%{use_libdb}" == "yes"
define(\`confENVDEF', \`-I/usr/include/libdb -I%{_prefix}/kerberos/include -Wall -DXDEBUG=0 -DNETINET6 -DHES_GETMAILHOST -DUSE_VENDOR_CF_PATH=1 -D_FFR_LINUX_MHNL -D_FFR_QOS -D_FILE_OFFSET_BITS=64 -DHAS_GETHOSTBYNAME2 -DHASFLOCK %{hesiod_define HESIOD_ALLOW_NUMERIC_LOGIN}')
%else
define(\`confENVDEF', \`-I%{_prefix}/kerberos/include -Wall -DXDEBUG=0 -DNETINET6 -DHES_GETMAILHOST -DUSE_VENDOR_CF_PATH=1 -D_FFR_LINUX_MHNL -D_FFR_QOS -D_FILE_OFFSET_BITS=64 -DHAS_GETHOSTBYNAME2 -DHASFLOCK %{hesiod_define HESIOD_ALLOW_NUMERIC_LOGIN}')
%endif
define(\`confLIBDIRS', \`-L%{_prefix}/kerberos/%{_lib}')
%if "%{use_hesiod}" == "yes"
define(\`confLIBS', \`%{?nis_ldadd} -lhesiod -lcrypt -ldb -lresolv')
%else
%if "%{use_cdb}" == "yes"
%if "%{use_libdb}" == "yes"
define(\`confLIBS', \`%{?nis_ldadd} -lcrypt -ldb -lcdb -lresolv')
%else
define(\`confLIBS', \`%{?nis_ldadd} -lcrypt -lcdb -lresolv')
%endif
%else
define(\`confLIBS', \`%{?nis_ldadd} -lcrypt -ldb -lresolv')
%endif
%endif
%if 0%{?set_build_flags:1}
%{?_hardened_build:define(\`confLDOPTS', \`${LDFLAGS}')}
%else
%{?_hardened_build:define(\`confLDOPTS', \`-Xlinker -z -Xlinker relro -Xlinker -z -Xlinker now')}
%endif
define(\`confMANOWN', \`root')
define(\`confMANGRP', \`root')
define(\`confMANMODE', \`644')
define(\`confMAN1SRC', \`1')
define(\`confMAN5SRC', \`5')
define(\`confMAN8SRC', \`8')
define(\`confSTDIR', \`%{stdir}')
define(\`STATUS_FILE', \`%{stdir}/statistics')
%if "%{use_libdb}" == "yes"
define(\`confLIBSEARCH', \`db cdb resolv 44bsd')
%else
define(\`confLIBSEARCH', \`cdb resolv 44bsd')
%endif
%if 0%{?set_build_flags:1}
define(\`confCC', \`${CC:-%{__cc}}')
%else
define(\`confCC', \`%{__cc}')
%endif
EOF
#'

cat >> redhat.config.m4 << EOF
%ifarch ppc %{power64} s390x
APPENDDEF(\`confOPTIMIZE', \`-DSM_CONF_SHM=0')
%else
APPENDDEF(\`confOPTIMIZE', \`')
%endif
EOF

%ifarch s390 s390x sparc sparcv9 sparc64
%global _fpie -fPIE
%else
%global _fpie -fpie
%endif
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confOPTIMIZE', \`%{_fpie}')
APPENDDEF(\`confLIBS', \`-pie')
EOF

%if "%{with_tls}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`conf_sendmail_ENVDEF', \`-DSTARTTLS -D_FFR_TLS_1 -DTLS_EC -D_FFR_TLS_USE_CERTIFICATE_CHAIN_FILE -DDANE')dnl
APPENDDEF(\`conf_sendmail_LIBS', \`-lssl -lcrypto')dnl
EOF
%endif

%if "%{with_sasl2}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confENVDEF', \`-DSASL=2')dnl
APPENDDEF(\`confLIBS', \`-lsasl2 -lcrypto')dnl
EOF
%endif

%if "%{with_milter}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`conf_sendmail_ENVDEF', \`-DMILTER')dnl
APPENDDEF(\`confENVDEF', \`-D_FFR_MILTER_CHECK_REJECTIONS_TOO')dnl
EOF
%endif

%if "%{with_ldap}" == "yes"
cat >> redhat.config.m4 << EOF
APPENDDEF(\`confMAPDEF', \`-DLDAPMAP -DLDAP_DEPRECATED')dnl
APPENDDEF(\`confENVDEF', \`-DSM_CONF_LDAP_MEMFREE=1')dnl
APPENDDEF(\`confLIBS', \`-lldap -llber -lssl -lcrypto')dnl
EOF
%endif

echo "=============================================================="
cat redhat.config.m4
echo "=============================================================="

DIRS="libsmutil sendmail mailstats rmail praliases smrsh makemap editmap"

%if "%{with_milter}" == "yes"
DIRS="libmilter $DIRS"
%endif

for i in $DIRS; do
	pushd $i
	sh Build -f ../redhat.config.m4
	popd
done

make -C doc/op op.pdf

%install
%if "%{_sbindir}" == "%{_bindir}"
# Make sure the files end up in the right location
mkdir -p %{buildroot}%{_prefix}/
ln -sf --relative %{buildroot}%{_bindir} %{buildroot}%{_prefix}/sbin
%endif

# create directories
for d in %{_bindir} %{_sbindir} %{_includedir}/libmilter \
	%{_libdir} %{_mandir}/man{1,5,8} %{maildir} %{stdir} %{spooldir} \
	%{our_docdir} %{sendmailcf} %{_sysconfdir}/smrsh\
	%{spooldir}/clientmqueue %{_sysconfdir}/sysconfig %{_initrddir} \
	%{_sysconfdir}/pam.d %{our_docdir}/contrib \
	%{_prefix}/lib/NetworkManager/dispatcher.d
do
	install -m 755 -d %{buildroot}$d
done
install -m 700 -d %{buildroot}%{spooldir}/mqueue

# create /usr/lib for 64 bit architectures
%if "%{_libdir}" != "%{_prefix}/lib"
install -m 755 -d %{buildroot}%{_prefix}/lib
%endif

nameuser=`id -nu`
namegroup=`id -ng`

Make() {
	make $@ \
		DESTDIR=%{buildroot} \
		LIBDIR=%{_libdir} \
		MANROOT=%{_mandir}/man \
		LIBMODE=0755 INCMODE=0644 \
		SBINOWN=${nameuser} SBINGRP=${namegroup} \
		UBINOWN=${nameuser} UBINGRP=${namegroup} \
		MANOWN=${nameuser} MANGRP=${namegroup} \
		INCOWN=${nameuser} INCGRP=${namegroup} \
		LIBOWN=${nameuser} LIBGRP=${namegroup} \
		GBINOWN=${nameuser} GBINGRP=${namegroup} \
		CFOWN=${nameuser} CFGRP=${namegroup} \
		CFMODE=0644 MSPQOWN=${nameuser}
}

OBJDIR=obj.$(uname -s).$(uname -r).$(uname -m)

Make install -C $OBJDIR/libmilter
Make install -C $OBJDIR/sendmail
Make install -C $OBJDIR/mailstats
Make force-install -C $OBJDIR/rmail
Make install -C $OBJDIR/praliases
Make install -C $OBJDIR/smrsh
Make install -C $OBJDIR/makemap
Make install -C $OBJDIR/editmap

%if "%{_sbindir}" != "%{_bindir}"
# replace absolute with relative symlinks
ln -sf --relative %{buildroot}%{_sbindir}/makemap %{buildroot}%{_bindir}/makemap
%endif
for f in hoststat mailq newaliases purgestat ; do
	ln -sf --relative %{buildroot}%{_sbindir}/sendmail.sendmail %{buildroot}%{_bindir}/${f}
done

# use %%{_prefix}/lib, even for 64 bit architectures
ln -sf --relative %{buildroot}%{_sbindir}/sendmail.sendmail %{buildroot}%{_prefix}/lib/sendmail.sendmail

# install docs for sendmail
install -p -m 644 FAQ %{buildroot}%{our_docdir}
install -p -m 644 KNOWNBUGS %{buildroot}%{our_docdir}
%if 0%{!?_licensedir:1}
install -p -m 644 LICENSE %{buildroot}%{our_docdir}
%endif
install -p -m 644 README %{buildroot}%{our_docdir}
install -p -m 644 RELEASE_NOTES %{buildroot}%{our_docdir}
gzip -9 %{buildroot}%{our_docdir}/RELEASE_NOTES

# install docs for sendmail-doc
install -m 644 doc/op/op.pdf %{buildroot}%{our_docdir}
install -p -m 644 sendmail/README %{buildroot}%{our_docdir}/README.sendmail
install -p -m 644 sendmail/SECURITY %{buildroot}%{our_docdir}
install -p -m 644 smrsh/README %{buildroot}%{our_docdir}/README.smrsh
install -p -m 644 libmilter/README %{buildroot}%{our_docdir}/README.libmilter
install -p -m 644 cf/README %{buildroot}%{our_docdir}/README.cf
install -p -m 644 contrib/* %{buildroot}%{our_docdir}/contrib

# install the cf files for the sendmail-cf package
cp -ar cf/* %{buildroot}%{sendmailcf}
# remove patch backup files
rm -rf %{buildroot}%{sendmailcf}/cf/Build.*
rm -rf %{buildroot}%{sendmailcf}/*/*.mc.*
rm -rf %{buildroot}%{sendmailcf}/*/*.m4.*
# remove cf/README file because it is useless for end users
rm -f %{buildroot}%{sendmailcf}/cf/README

# install sendmail.mc with proper paths
install -m 644 %{SOURCE6} %{buildroot}%{maildir}/sendmail.mc
%if "%{use_libdb}" != "yes"
  sed -i 's/\bhash\b/cdb/g;s/\.db\b/.%{db_suffix}/g' %{buildroot}%{maildir}/sendmail.mc
%endif
sed -i -e 's|@@PATH@@|%{sendmailcf}|' %{buildroot}%{maildir}/sendmail.mc
touch -r %{SOURCE6} %{buildroot}%{maildir}/sendmail.mc

# create sendmail.cf
cp %{buildroot}%{maildir}/sendmail.mc cf/cf/redhat.mc
sed -i -e 's|%{sendmailcf}|\.\.|' cf/cf/redhat.mc
%if "%{stdir}" != "%{maildir}"
sed -i -e 's:%{maildir}/statistics:%{stdir}/statistics:' cf/cf/redhat.mc
%endif
(cd cf/cf && m4 redhat.mc > redhat.cf)
install -m 644 cf/cf/redhat.cf %{buildroot}%{maildir}/sendmail.cf
install -p -m 644 cf/cf/submit.mc %{buildroot}%{maildir}/submit.mc

# remove our build info as it causes multiarch conflicts
sed -i '/##### built by.*on/,+3d' %{buildroot}%{maildir}/{submit,sendmail}.cf \
	%{buildroot}%{sendmailcf}/cf/submit.cf

install -p -m 644 %{SOURCE12} %{buildroot}%{maildir}/access
install -p -m 644 %{SOURCE13} %{buildroot}%{maildir}/domaintable
install -p -m 644 %{SOURCE14} %{buildroot}%{maildir}/local-host-names
install -p -m 644 %{SOURCE15} %{buildroot}%{maildir}/mailertable
install -p -m 644 %{SOURCE16} %{buildroot}%{maildir}/trusted-users
install -p -m 644 %{SOURCE17} %{buildroot}%{maildir}/virtusertable

# create db ghosts
for map in virtusertable access domaintable mailertable ; do
	touch %{buildroot}%{maildir}/${map}.%{db_suffix}
	chmod 0644 %{buildroot}%{maildir}/${map}.%{db_suffix}
done
touch %{buildroot}%{maildir}/aliasesdb-stamp

touch %{buildroot}%{spooldir}/clientmqueue/sm-client.st

install -p -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/sendmail
install -p -m 755 %{SOURCE2} %{buildroot}%{_prefix}/lib/NetworkManager/dispatcher.d/10-sendmail
install -p -m 755 %{SOURCE3} %{buildroot}%{maildir}/make
install -p -m 644 %{SOURCE5} %{buildroot}%{maildir}/Makefile

# fix up permissions
chmod 644 %{buildroot}%{maildir}/helpfile

# Systemd
mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE1} %{buildroot}%{_unitdir}
install -m644 %{SOURCE7} %{buildroot}%{_unitdir}

# fix permissions to allow debuginfo extraction and stripping
chmod 755 %{buildroot}%{_sbindir}/{mailstats,makemap,editmap,praliases,sendmail,smrsh}
chmod 755 %{buildroot}%{_bindir}/rmail

%if "%{with_sasl2}" == "yes"
install -m 755 -d %{buildroot}%{_sysconfdir}/sasl2
install -m 644 %{SOURCE11} %{buildroot}%{_sysconfdir}/sasl2/Sendmail.conf
%endif
install -m 644 %{SOURCE8} %{buildroot}%{_sysconfdir}/pam.d/smtp.sendmail

# fix path for statistics file in man pages
%if "%{stdir}" != "%{maildir}"
sed -i -e 's:%{maildir}/statistics:%{stdir}/statistics:' %{buildroot}%{_mandir}/man*/*
%endif

# fix database suffix in sendmail man page
%if "%{use_libdb}" == "yes"
sed -i 's/aliases.cdb/aliases.db/' %{buildroot}%{_mandir}/man8/sendmail.8
%endif

# rename files for alternative usage
mv %{buildroot}%{_sbindir}/sendmail %{buildroot}%{_sbindir}/sendmail.sendmail
touch %{buildroot}%{_sbindir}/sendmail
mv %{buildroot}%{_sbindir}/makemap %{buildroot}%{_sbindir}/makemap.sendmail
touch %{buildroot}%{_sbindir}/makemap
mv %{buildroot}%{_sbindir}/editmap %{buildroot}%{_sbindir}/editmap.sendmail
touch %{buildroot}%{_sbindir}/editmap
for i in mailq newaliases rmail; do
	mv %{buildroot}%{_bindir}/$i %{buildroot}%{_bindir}/$i.sendmail
	touch %{buildroot}%{_bindir}/$i
done
mv %{buildroot}%{_mandir}/man1/mailq.1 %{buildroot}%{_mandir}/man1/mailq.sendmail.1
touch %{buildroot}%{_mandir}/man1/mailq.1
mv %{buildroot}%{_mandir}/man1/newaliases.1 %{buildroot}%{_mandir}/man1/newaliases.sendmail.1
touch %{buildroot}%{_mandir}/man1/newaliases.1
mv %{buildroot}%{_mandir}/man5/aliases.5 %{buildroot}%{_mandir}/man5/aliases.sendmail.5
touch %{buildroot}%{_mandir}/man5/aliases.5
mv %{buildroot}%{_mandir}/man8/sendmail.8 %{buildroot}%{_mandir}/man8/sendmail.sendmail.8
touch %{buildroot}%{_mandir}/man8/sendmail.8
mv %{buildroot}%{_mandir}/man8/rmail.8 %{buildroot}%{_mandir}/man8/rmail.sendmail.8
touch %{buildroot}%{_mandir}/man8/rmail.8
mv %{buildroot}%{_mandir}/man8/makemap.8 %{buildroot}%{_mandir}/man8/makemap.sendmail.8
touch %{buildroot}%{_mandir}/man8/makemap.8
mv %{buildroot}%{_mandir}/man8/editmap.8 %{buildroot}%{_mandir}/man8/editmap.sendmail.8
touch %{buildroot}%{_mandir}/man8/editmap.8
touch %{buildroot}%{_prefix}/lib/sendmail
touch %{buildroot}%{_sysconfdir}/pam.d/smtp

# create stub man pages
for m in man8/hoststat.8 man8/purgestat.8; do
	[ -f %{buildroot}%{_mandir}/$m ] ||
		echo ".so man8/sendmail.8" > %{buildroot}%{_mandir}/$m
done

%if %{use_sysusers}
install -m0644 -D sendmail.sysusers.conf %{buildroot}%{_sysusersdir}/sendmail.conf
%endif

%if !%{use_sysusers}
%pre
getent group mailnull >/dev/null || \
  groupadd -g 47 -r mailnull >/dev/null 2>&1
getent passwd mailnull >/dev/null || \
  useradd -u 47 -g mailnull -d %{spooldir}/mqueue -r \
  -s %{smshell} mailnull >/dev/null 2>&1
getent group smmsp >/dev/null || \
  groupadd -g 51 -r smmsp >/dev/null 2>&1
getent passwd smmsp >/dev/null || \
  useradd -u 51 -g smmsp -d %{spooldir}/mqueue -r \
  -s %{smshell} smmsp >/dev/null 2>&1
# Hack to turn sbin/makemap and man8/makemap.8.gz into alternatives symlink
# (part of the rhbz#1219178 fix)
[ -h /usr/sbin/makemap ] || rm -f /usr/sbin/makemap || :
[ -h %{_mandir}/man8/makemap.8.gz ] || rm -f %{_mandir}/man8/makemap.8.gz || :
exit 0
%endif

%postun
%systemd_postun_with_restart sendmail.service sm-client.service
if [ $1 -ge 1 ]; then
	mta=`readlink %{_sysconfdir}/alternatives/mta`
	if [ "$mta" == "%{_sbindir}/sendmail.sendmail" ] || [ "$mta" == "/usr/sbin/sendmail.sendmail" ]; then
		alternatives --set mta /usr/sbin/sendmail.sendmail
	fi
fi
exit 0

%post
%systemd_post sendmail.service sm-client.service
# Set up the alternatives files for MTAs
alternatives --install /usr/sbin/sendmail mta /usr/sbin/sendmail.sendmail 90 \
	--slave /usr/sbin/makemap mta-makemap /usr/sbin/makemap.sendmail \
	--slave /usr/sbin/editmap mta-editmap /usr/sbin/editmap.sendmail \
	--slave %{_bindir}/mailq mta-mailq %{_bindir}/mailq.sendmail \
	--slave %{_bindir}/newaliases mta-newaliases %{_bindir}/newaliases.sendmail \
	--slave %{_bindir}/rmail mta-rmail %{_bindir}/rmail.sendmail \
	--slave %{_prefix}/lib/sendmail mta-sendmail %{_prefix}/lib/sendmail.sendmail \
	--slave %{_sysconfdir}/pam.d/smtp mta-pam %{_sysconfdir}/pam.d/smtp.sendmail \
	--slave %{_mandir}/man8/sendmail.8.gz mta-sendmailman %{_mandir}/man8/sendmail.sendmail.8.gz \
	--slave %{_mandir}/man1/mailq.1.gz mta-mailqman %{_mandir}/man1/mailq.sendmail.1.gz \
	--slave %{_mandir}/man1/newaliases.1.gz mta-newaliasesman %{_mandir}/man1/newaliases.sendmail.1.gz \
	--slave %{_mandir}/man5/aliases.5.gz mta-aliasesman %{_mandir}/man5/aliases.sendmail.5.gz \
	--slave %{_mandir}/man8/rmail.8.gz mta-rmailman %{_mandir}/man8/rmail.sendmail.8.gz \
	--slave %{_mandir}/man8/makemap.8.gz mta-makemapman %{_mandir}/man8/makemap.sendmail.8.gz \
	--slave %{_mandir}/man8/editmap.8.gz mta-editmapman %{_mandir}/man8/editmap.sendmail.8.gz \
	--initscript sendmail > /dev/null 2>&1

# Rebuild maps
{
	chown root %{_sysconfdir}/aliases.db %{maildir}/access.%{db_suffix} \
		%{maildir}/mailertable.db %{maildir}/domaintable.%{db_suffix} \
		%{maildir}/virtusertable.%{db_suffix}
	SM_FORCE_DBREBUILD=1 %{maildir}/make
	SM_FORCE_DBREBUILD=1 %{maildir}/make aliases
} >/dev/null 2>&1

# Move existing SASL2 config to new location
%if "%{with_sasl2}" == "yes"
[ -f %{_libdir}/sasl2/Sendmail.conf ] && touch -r %{_sysconfdir}/sasl2/Sendmail.conf \
  %{_libdir}/sasl2/Sendmail.conf ] && mv -f %{_libdir}/sasl2/Sendmail.conf \
  %{_sysconfdir}/sasl2 2>/dev/null || :
%endif

# Create sm-client.st if it doesn't exist
if [ ! -f %{spooldir}/clientmqueue/sm-client.st ]; then
	touch %{spooldir}/clientmqueue/sm-client.st
	chown smmsp:smmsp %{spooldir}/clientmqueue/sm-client.st
	chmod 0660 %{spooldir}/clientmqueue/sm-client.st
fi

# Create self-signed SSL certificate
if [ ! -f %{sslkey} ]; then
  umask 077
  %{_bindir}/openssl genrsa 4096 > %{sslkey} 2> /dev/null
fi

if [ ! -f %{sslcert} ]; then
  FQDN=`hostname`
  if [ "x${FQDN}" = "x" ]; then
    FQDN=localhost.localdomain
  fi

  %{_bindir}/openssl req -new -key %{sslkey} -x509 -sha256 -days 365 -set_serial $RANDOM -out %{sslcert} \
    -subj "/C=--/ST=SomeState/L=SomeCity/O=SomeOrganization/OU=SomeOrganizationalUnit/CN=${FQDN}/emailAddress=root@${FQDN}"
  chmod 600 %{sslcert}
fi

exit 0

%preun
%systemd_preun sendmail.service sm-client.service
if [ $1 = 0 ]; then
	alternatives --remove mta /usr/sbin/sendmail.sendmail
fi
exit 0

%files
%license LICENSE
%dir %{our_docdir}/
%doc %{our_docdir}/FAQ
%doc %{our_docdir}/KNOWNBUGS
%doc %{our_docdir}/README
%doc %{our_docdir}/RELEASE_NOTES.gz
%if "%{_sbindir}" == "%{_bindir}"
%exclude %{_prefix}/sbin
%endif
%{_bindir}/hoststat
%if "%{_sbindir}" != "%{_bindir}"
%{_bindir}/makemap
%endif
%{_bindir}/purgestat
%{_sbindir}/mailstats
%{_sbindir}/makemap.sendmail
%{_sbindir}/editmap.sendmail
%{_sbindir}/praliases
%attr(2755,root,smmsp) %{_sbindir}/sendmail.sendmail
%{_bindir}/rmail.sendmail
%{_bindir}/newaliases.sendmail
%{_bindir}/mailq.sendmail
%{_sbindir}/smrsh
%{_prefix}/lib/sendmail.sendmail

%{_mandir}/man8/rmail.sendmail.8.gz
%{_mandir}/man8/praliases.8.gz
%{_mandir}/man8/mailstats.8.gz
%{_mandir}/man8/makemap.sendmail.8.gz
%{_mandir}/man8/editmap.sendmail.8.gz
%{_mandir}/man8/sendmail.sendmail.8.gz
%{_mandir}/man8/smrsh.8.gz
%{_mandir}/man8/hoststat.8.gz
%{_mandir}/man8/purgestat.8.gz
%{_mandir}/man5/aliases.sendmail.5.gz
%{_mandir}/man1/newaliases.sendmail.1.gz
%{_mandir}/man1/mailq.sendmail.1.gz

# dummy attributes for rpmlint
%ghost %attr(0755,-,-) %{_sbindir}/sendmail
%ghost %attr(0755,-,-) %{_sbindir}/makemap
%ghost %attr(0755,-,-) %{_sbindir}/editmap
%ghost %attr(0755,-,-) %{_bindir}/mailq
%ghost %attr(0755,-,-) %{_bindir}/newaliases
%ghost %attr(0755,-,-) %{_bindir}/rmail
%ghost %attr(0755,-,-) %{_prefix}/lib/sendmail

%ghost %{_sysconfdir}/pam.d/smtp
%ghost %{_mandir}/man8/sendmail.8.gz
%ghost %{_mandir}/man1/mailq.1.gz
%ghost %{_mandir}/man1/newaliases.1.gz
%ghost %{_mandir}/man5/aliases.5.gz
%ghost %{_mandir}/man8/rmail.8.gz
%ghost %{_mandir}/man8/makemap.8.gz
%ghost %{_mandir}/man8/editmap.8.gz

%dir %{stdir}/
%dir %{_sysconfdir}/smrsh/
%dir %{maildir}/
%attr(0770,smmsp,smmsp) %dir %{spooldir}/clientmqueue/
%attr(0700,root,mail) %dir %{spooldir}/mqueue/

%config(noreplace) %verify(not size mtime md5) %{stdir}/statistics
%config(noreplace) %{maildir}/Makefile
%config(noreplace) %{maildir}/make
%config(noreplace) %{maildir}/sendmail.cf
%config(noreplace) %{maildir}/submit.cf
%config(noreplace) %{maildir}/helpfile
%config(noreplace) %{maildir}/sendmail.mc
%config(noreplace) %{maildir}/submit.mc
%config(noreplace) %{maildir}/access
%config(noreplace) %{maildir}/domaintable
%config(noreplace) %{maildir}/local-host-names
%config(noreplace) %{maildir}/mailertable
%config(noreplace) %{maildir}/trusted-users
%config(noreplace) %{maildir}/virtusertable

%ghost %{maildir}/aliasesdb-stamp
%ghost %attr(0640, root,root) %verify(not md5 size mtime) %{maildir}/virtusertable.%{db_suffix}
%ghost %attr(0640, root,root) %verify(not md5 size mtime) %{maildir}/access.%{db_suffix}
%ghost %attr(0640, root,root) %verify(not md5 size mtime) %{maildir}/domaintable.%{db_suffix}
%ghost %attr(0640, root,root) %verify(not md5 size mtime) %{maildir}/mailertable.%{db_suffix}

%ghost %attr(0660, smmsp, smmsp) %verify(not md5 size mtime) %{spooldir}/clientmqueue/sm-client.st

%{_unitdir}/sendmail.service
%{_unitdir}/sm-client.service
%config(noreplace) %{_sysconfdir}/sysconfig/sendmail
%config(noreplace) %{_sysconfdir}/pam.d/smtp.sendmail
%{_prefix}/lib/NetworkManager/dispatcher.d/10-sendmail

%if "%{with_sasl2}" == "yes"
%config(noreplace) %{_sysconfdir}/sasl2/Sendmail.conf
%endif

%if %{use_sysusers}
%{_sysusersdir}/sendmail.conf
%endif

%files cf
%dir %{sendmailcf}/
%doc %{sendmailcf}/README
%{sendmailcf}/cf/
%{sendmailcf}/domain/
%{sendmailcf}/feature/
%{sendmailcf}/hack/
%{sendmailcf}/m4/
%{sendmailcf}/mailer/
%{sendmailcf}/ostype/
%{sendmailcf}/sendmail.schema
%{sendmailcf}/sh/
%{sendmailcf}/siteconfig/

%files milter-devel
%doc libmilter/docs/*
%dir %{_includedir}/libmilter
%{_includedir}/libmilter/*.h
%{_libdir}/libmilter.so

%files milter
%license LICENSE
%dir %{our_docdir}/
%doc %{our_docdir}/README.libmilter
%{_libdir}/libmilter.so.1.0
%{_libdir}/libmilter.so.1.0.[0-9]

%files doc
%{our_docdir}/README.cf
%{our_docdir}/README.sendmail
%{our_docdir}/README.smrsh
%{our_docdir}/SECURITY
%{our_docdir}/op.pdf
%dir %{our_docdir}/contrib/
%attr(0644,root,root) %{our_docdir}/contrib/*

%changelog
* Mon Mar 31 2025 Paul Howarth <paul@city-fan.org> - 8.18.1-10.0.cf
- Add sysusers.d config file to allow rpm to create users/groups automatically
- Built with gnu17 C standard (rhbz#2336394)
- "Move" files managed by alternatives back to /usr/sbin
- Drop support for old distributions prior to F-28, EL-8

* Wed Jan 15 2025 Paul Howarth <paul@city-fan.org> - 8.18.1-5.0.cf
- Rebuilt for the bin-sbin merge (2nd attempt)
- Add EL-10 support

* Tue Jul 23 2024 Paul Howarth <paul@city-fan.org> - 8.18.1-4.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
- Pull in openssl-devel-engine to fix build in fedora 41 onwards
- Prepare for bin-sbin merge
  https://fedoraproject.org/wiki/Changes/Unify_bin_and_sbin

* Thu Feb  1 2024 Paul Howarth <paul@city-fan.org> - 8.18.1-1.0.cf
- Update to 8.18.1 (rhbz#2228229)
  - See RELEASE_NOTES for details
  - Includes fix for SMTP Smuggling issue (CVE-2023-51765)
- Switch upstream source URL from ftp:// scheme to https:// scheme

* Sat Jan 27 2024 Paul Howarth <paul@city-fan.org> - 8.17.2-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Paul Howarth <paul@city-fan.org> - 8.17.2-5.0.cf
- Converted license tag to SPDX

* Tue Nov  7 2023 Paul Howarth <paul@city-fan.org> - 8.17.2-4.1.cf
- Still using libdb in Fedora for now

* Mon Nov  6 2023 Paul Howarth <paul@city-fan.org> - 8.17.2-4.0.cf
- Drop libdb from F-40, EL-10 onwards (rhbz#1781181)

* Fri Jul 21 2023 Paul Howarth <paul@city-fan.org> - 8.17.2-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Paul Howarth <paul@city-fan.org> - 8.17.2-2.0.cf
- Fixed verification of the ghost files (rhbz#2052091)

* Mon Jun  5 2023 Paul Howarth <paul@city-fan.org> - 8.17.2-1.0.cf
- Update to 8.17.2 (rhbz#2212083)
- Avoid use of deprecated patch syntax

* Mon Jan 23 2023 Paul Howarth <paul@city-fan.org> - 8.17.1-8.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 14 2022 Paul Howarth <paul@city-fan.org> - 8.17.1-7.0.cf
- Fixed SASL auth with cyrus-sasl-2.1.28 (#2140596)

* Sat Jul 23 2022 Paul Howarth <paul@city-fan.org> - 8.17.1-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jan 24 2022 Paul Howarth <paul@city-fan.org> - 8.17.1-5.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 24 2022 Paul Howarth <paul@city-fan.org> - 8.17.1-4.0.cf
- Use %%set_build_flags and pass all LDFLAGS to the build

* Mon Nov 15 2021 Paul Howarth <paul@city-fan.org> - 8.17.1-3.0.cf
- Rebuild for updated libnsl2 in Rawhide

* Sun Sep 19 2021 Paul Howarth <paul@city-fan.org> - 8.17.1-2.0.cf
- Rebuilt with OpenSSL 3.0.0 in Rawhide

* Mon Aug 23 2021 Paul Howarth <paul@city-fan.org> - 8.17.1-1.0.cf
- Update to 8.17.1 (#1994268)

* Mon Jul 26 2021 Paul Howarth <paul@city-fan.org> - 8.16.1-8.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
- Fix dist tags for Alma and Rocky Linux

* Wed Apr 28 2021 Paul Howarth <paul@city-fan.org> - 8.16.1-7.0.cf
- Added support for building with openssl-3.0.0

* Sat Mar 27 2021 Paul Howarth <paul@city-fan.org> - 8.16.1-6.0.cf
- Disable NIS support for RHEL9+

* Wed Mar  3 2021 Paul Howarth <paul@city-fan.org> - 8.16.1-5.0.cf
- Drop support for SysV-to-systemd migration
- Drop migration from old config files that have not been used in the last 20
  years, since sendmail 8.10 was released
- Use systemd scriptlet macros

* Mon Feb  1 2021 Paul Howarth <paul@city-fan.org> - 8.16.1-4.0.cf
- Drop support for EOL distributions prior to F-19
  - Always assume systemd init, never sysvinit
  - BerkeleyDB always comes from libdb
  - Use %%license unconditionally

* Thu Dec  3 2020 Paul Howarth <paul@city-fan.org> - 8.16.1-3.0.cf
- Enabled CDB map support from Fedora 34 onwards (#1781181)

* Wed Jul 29 2020 Paul Howarth <paul@city-fan.org> - 8.16.1-2.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul  9 2020 Paul Howarth <paul@city-fan.org> - 8.16.1-1.0.cf
- Update to 8.16.1 (#1853885)
- Dropped smtp-session-reuse-fix, openssl-1.1.0-fix, openssl-1.1.0-ecdhe-fix,
  gethostbyname2, fix-covscan-issues, gcc-10-fix patches (not needed)
- Dropped format-security patch (upstreamed)
- Updated patches

* Wed Apr  8 2020 Paul Howarth <paul@city-fan.org> - 8.15.2-44.0.cf
- Specify value for confCC in redhat.config.m4

* Wed Feb 12 2020 Paul Howarth <paul@city-fan.org> - 8.15.2-43.0.cf
- De-fuzzified fix-covscan-issues patch

* Fri Jan 31 2020 Paul Howarth <paul@city-fan.org> - 8.15.2-42.0.cf
- Fix FTBFS with GCC 10 (#1800082)

* Mon Nov  4 2019 Paul Howarth <paul@city-fan.org> - 8.15.2-41.0.cf
- Move the NetworkManager dispatcher script out of /etc from Fedora 24 onwards
- Fix issues discovered by Coverity scan

* Mon Aug 12 2019 Paul Howarth <paul@city-fan.org> - 8.15.2-39.0.cf
- Use gethostbyname2 instead of gethostbyname to fix FTBFS caused by glibc
  update dropping support for obsolete RES_USE_INET6 (#1736650)

* Mon Feb  4 2019 Paul Howarth <paul@city-fan.org> - 8.15.2-37.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 15 2019 Paul Howarth <paul@city-fan.org> - 8.15.2-36.0.cf
- Rebuilt for libcrypt.so.2 in Rawhide (#1666033)

* Thu Nov 22 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-35.0.cf
- Used _prefix macro for /usr

* Thu Nov  1 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-33.0.cf
- Dropped hesiod support from Fedora 30 onwards (#1643264)

* Thu Oct 18 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-32.0.cf
- Rebuild to stay in sync with Rawhide

* Mon Sep  3 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-31.0.cf
- Added support for sendmail service reload (#1618552)

* Thu Aug 23 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-30.0.cf
- Fixed sendmail.pem unsafe: Group readable file

* Wed Aug  1 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-29.0.cf
- Add basic sendmail TLS configuration by default (#1607314 #c11)

* Mon Jul 16 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-28.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul  2 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-27.0.cf
- Use SSL_CTX_use_certificate_chain_file() to handle intermediate
  certificates passed additionally in confSERVER_CERT (#1565341)

* Thu May 31 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-26.0.cf
- Changed libnsl2 paths (#1543933)

* Thu Mar  8 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-25.0.cf
- Rebuild to fix GCC 8 mis-compilation
  See https://da.gd/YJVwk ("GCC 8 ABI change on x86_64")
- Use systemd rather than systemd-units from Fedora 17 onwards
- Drop SysV-to-systemd migration from Fedora 23 onwards
- Drop ldconfig scriptlets (replaced by RPM File Triggers) from Fedora 28

* Mon Feb 12 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-23.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Paul Howarth <paul@city-fan.org> - 8.15.2-22.0.cf
- Explicitly BR: libnsl2-devel and add needed paths in build config for F-28
  onwards

* Fri Dec  8 2017 Paul Howarth <paul@city-fan.org> - 8.15.2-20.0.cf
- Dropped tcp_wrappers support from F-28 onwards (#1518782)
- Built with TLS EC support from EL-7, F-23 onwards

* Tue Aug 22 2017 Paul Howarth <paul@city-fan.org> - 8.15.2-19.0.cf
- Replaced compile-fix patch by format-security patch from Debian, so as not to
  change status codes (#1482808)

* Fri Aug  4 2017 Paul Howarth <paul@city-fan.org> - 8.15.2-18.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Mon Jul 31 2017 Paul Howarth <paul@city-fan.org> - 8.15.2-17.0.cf
- Fixed ECDHE to work with all curves (#1473971)
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - /etc/pam.d/password-auth is always available now
  - Sasl2 configuration always lives in %%{_sysconfdir}/sasl2/Sendmail.conf now
  - noarch sub-packages are always available now
  - tcp_wrappers-devel package is always available now
  - Never need to own the NetworkManager dispatch directory now

* Sat Mar 25 2017 Paul Howarth <paul@city-fan.org> - 8.15.2-15.0.cf
- Removed systemd limit for sendmail restarts to workaround failure due to
  rapid restarts caused by NetworkManager dispatcher script (#1422771)
- Also removed the systemd restart limit from the sm-client service (#1422771)
- Explicitly enabled sm-client statistics (#890585)
- Fixed compilation with -Werror=format-security, which seems to be the
  default in f27+

* Sun Feb 12 2017 Paul Howarth <paul@city-fan.org> - 8.15.2-12.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Dec 11 2016 Paul Howarth <paul@city-fan.org> - 8.15.2-11.0.cf
- Enabled _FFR_MILTER_CHECK_REJECTIONS_TOO (#1112340)
- Added SASL AUTH_REALM into default configuration (#748279)
- Fixed compilation with openssl-1.1.0 (#1400239)

* Tue Aug  9 2016 Paul Howarth <paul@city-fan.org> - 8.15.2-9.0.cf
- Make milter-devel → milter dependency arch-specific

* Fri Aug  5 2016 Paul Howarth <paul@city-fan.org> - 8.15.2-8.0.cf
- Removed dependency for sendmail in sendmail-devel, renamed sendmail-devel
  to sendmail-milter-devel (#891288)

* Sun Jun  5 2016 Paul Howarth <paul@city-fan.org> - 8.15.2-7.0.cf
- Enabled editmap (#1342393)

* Thu Mar  3 2016 Paul Howarth <paul@city-fan.org> - 8.15.2-6.0.cf
- Fixed SMTP session reuse bug

* Mon Feb  8 2016 Paul Howarth <paul@city-fan.org> - 8.15.2-5.0.cf
- Compiled all with full RELRO, including libmilter (#1264035)
- Added support for socket activation to libmilter (#1262535)
- Drop triggers for ancient sendmail versions from releases we no longer
  support (prior to F-5)

* Thu Jul 23 2015 Paul Howarth <paul@city-fan.org> - 8.15.2-2.0.cf
- nm-dispacher: don't block the connection activation (#1237070)

* Tue Jul  7 2015 Paul Howarth <paul@city-fan.org> - 8.15.2-1.0.cf
- Update to 8.15.2 (see RELEASE_NOTES for details) (#1239185)
- Rebased patches
- Dropped ipv6-bad-helo patch (upstreamed)

* Sat Jun 20 2015 Paul Howarth <paul@city-fan.org> - 8.15.1-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Paul Howarth <paul@city-fan.org> - 8.15.1-5.0.cf
- Added makemap and its manual page into alternatives (#1219178)

* Fri Mar 20 2015 Paul Howarth <paul@city-fan.org> - 8.15.1-4.0.cf
- Use uncompressed (new) IPv6 address format in block_bad_helo.m4

* Wed Mar 11 2015 Paul Howarth <paul@city-fan.org> - 8.15.1-3.0.cf
- Drop sysvinit subpackage from Fedora 23 onwards

* Fri Feb 27 2015 Paul Howarth <paul@city-fan.org> - 8.15.1-2.0.cf
- Rebuild

* Thu Jan 22 2015 Paul Howarth <paul@city-fan.org> - 8.15.1-1.0.cf
- Update to 8.15.1 (see RELEASE_NOTES for details)
- Dropped hesiod patch (not needed)
- Dropped libdb5 patch (upstreamed)
- Drop ps2pdf patch (EL4 support dropped)
- Rebased patches

* Mon Aug 25 2014 Paul Howarth <paul@city-fan.org> - 8.14.9-5.0.cf
- Rebuild for rpm bug 1131960

* Mon Aug 18 2014 Paul Howarth <paul@city-fan.org> - 8.14.9-4.0.cf
- Use %%license where possible

* Sat Jun  7 2014 Paul Howarth <paul@city-fan.org> - 8.14.9-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Paul Howarth <paul@city-fan.org> - 8.14.9-1.0.cf
- Update to 8.14.9 (see RELEASE_NOTES for details)
- Drop patch for milter file descriptor leaks, which should no longer be
  necessary
- Drop build support for RHEL-4, FC-3 and FC-4
  - Drop %%{ancient_init} support
  - Drop pam_stack support
  - Drop support for SSL certificates in /usr/share/ssl
  - Drop %%defattr, redundant since rpm 4.4
- Add build support for RHEL-7, RHEL-8

* Tue Feb 11 2014 Paul Howarth <paul@city-fan.org> - 8.14.8-1.0.cf
- Update to 8.14.8 (#1059665, see RELEASE_NOTES for details)
- Update patches as needed

* Tue Aug  6 2013 Paul Howarth <paul@city-fan.org> - 8.14.7-5.0.cf
- Move to unversioned documentation directories from F-20 (#994090)

* Sat Aug  3 2013 Paul Howarth <paul@city-fan.org> - 8.14.7-4.0.cf
- Rebuilt with -D_FILE_OFFSET_BITS=64 (#912785)

* Mon Apr 22 2013 Paul Howarth <paul@city-fan.org> - 8.14.7-1.0.cf
- Update to 8.14.7 (see RELEASE_NOTES for details)
- Drop upstreamed milter HELO patch
- Update QoS patch
- Avoid generating perl dependencies from the doc package

* Tue Feb 26 2013 Paul Howarth <paul@city-fan.org> - 8.14.6-4.0.cf
- Add support for systemd presets in Fedora 18+ (#850310)
- Add build support for Fedora releases up to 24

* Sat Feb 23 2013 Paul Howarth <paul@city-fan.org> - 8.14.6-3.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Feb  1 2013 Paul Howarth <paul@city-fan.org> - 8.14.6-2.1.cf
- Milter file descriptor leaks patch updated to check for valid socket before
  attempting to set close-on-exec, so as to avoid filling logs with rubbish
  (#845821)

* Sun Jan 20 2013 Paul Howarth <paul@city-fan.org> - 8.14.6-2.0.cf
- Fixed milter_helo regression (#895552)

* Thu Dec 27 2012 Paul Howarth <paul@city-fan.org> - 8.14.6-1.0.cf
- Update to 8.14.6 (see RELEASE_NOTES for details)
- Drop upstreamed AUTH-over-TLS patch

* Sun Jul 22 2012 Paul Howarth <paul@city-fan.org> - 8.14.5-15.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Paul Howarth <paul@city-fan.org> - 8.14.5-14.0.cf
- Use %%{power64} macro to support more subarchitectures like ppc64p7 (#834626)

* Sat Apr  7 2012 Paul Howarth <paul@city-fan.org> - 8.14.5-13.0.cf
- Rebuild for libdb 5.3 in Rawhide
- Add patch to fix wierd ps2pdf error on EL-4 that only manifested after it
  went EOL
- Drop support for old distributions prior to FC-3:
  - Always use -fPIE
  - Never use SASL 1
  - Don't support old_setup
  - Drop hacks needed for ancient compilers

* Wed Jan 18 2012 Paul Howarth <paul@city-fan.org> - 8.14.5-12.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov 23 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-11.0.cf
- Bind sm-client.service and sendmail.service more tightly (#756232)

* Mon Oct 24 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-10.0.cf
- The nm-dispatcher script now uses try-restart instead of restart (#748416)

* Fri Sep 23 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-9.0.cf
- Re-enabled alternatives --initscript in %%post
- Added scriptlets to sysvinit subpackage
- Worked around sm-client stop on SysV to systemd migration
- Updated SysV to systemd migration methodology not to have a "flag" release

* Mon Sep  5 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-8.0.cf
- Hardened build with full relro from F-16 onwards
- Provided SysV initscript in sysvinit subpackage for backward compatibility
  on F-15 onwards

* Mon Jul 25 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-6.0.cf
- Resync with Rawhide

* Sat Jul 23 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-5.1.cf
- Fixed SMTP AUTH over TLS in case of two AUTH lines (#716628)
- Add default SENDMAIL_OPTS in sendmail.service/sm-client.service (#719931)

* Fri Jul 22 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-5.0.cf
- Dropped reload action from SysV initscript (#719931)
- Fixed systemctl disable command in %%preun section
- Replaced reload by restart, dropped ExecReload from sendmail.service (#719931)
- Switched to systemctl in NetworkManager dispatcher script
- Added ExecStartPre=-/etc/mail/make to sm-client.service
- Hardcoded daemon option (-bd) to sendmail.service, dropped the DAEMON var
- QUEUE var in /etc/sysconfig/sendmail replaced by SENDMAIL_OPTS var

* Tue Jul 19 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-4.0.cf
- Various unit file changes:
  - Removed dots from description
  - Changed service type to forking
  - Explicitly specified PID files
  - Fixed creation of sm-client.pid
  - Added Wants to sm-client.service and sendmail.service
- Replaced each occurrence of /var/run by /run in submit.mc

* Thu Jul 14 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-3.0.cf
- Switch to systemd-based init from F-15 onwards
- Rename %%old_init to %%ancient_init
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 16 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-2.0.cf
- Rebuild for libdb 5.2.28 in Rawhide

* Wed May 18 2011 Paul Howarth <paul@city-fan.org> - 8.14.5-1.0.cf
- Update to 8.14.5 (see RELEASE_NOTES for details)
- Remove m4-ldap-routing, milter-fix-negativeid, man-i-option-fix patches
  (upstreamed)
- Nobody else likes macros for commands

* Thu Mar  3 2011 Paul Howarth <paul@city-fan.org> - 8.14.4-21.0.cf
- Fix negative ctx_id in milter debug output (#577558)
- Fix incomplete description of the -i option in man page (#676824)

* Wed Feb  9 2011 Paul Howarth <paul@city-fan.org> - 8.14.4-20.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 12 2011 Paul Howarth <paul@city-fan.org> - 8.14.4-19.0.cf
- Updated QoS patch, including upstream comments and AF_INET6 4-in-6 support

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> - 8.14.4-18.0.cf
- Add QoS support, patch from Philip Prindeville <philipp@fedoraproject.org>
  upstream reserved option ID 0xe7 for testing of this new feature (#576643)

* Fri Nov 26 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-17.0.cf
- Change LSB init header to provide $mail-transport-agent (#627413)

* Mon Nov  8 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-16.0.cf
- Fix m4 ldap routing macro, backport from 8.14.5.Alpha0 (#650366)

* Thu Sep 30 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-15.0.cf
- Rebuild for gcc bug (#634757)

* Fri Sep 24 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-14.0.cf
- Fix MAXHOSTNAMELEN (#485380)

* Tue Sep 14 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-13.0.cf
- Rebuild for libdb 5.1.19 in Rawhide

* Wed Aug 25 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-12.0.cf
- Updated sendmail.nm-dispatcher script to handle VPN connections (#577540)

* Tue Aug 17 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-11.0.cf
- README.libmilter moved to milter subpackage
- Updated description of doc subpackage
- README.redhat removed (not needed any more)

* Fri Aug  6 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-10.0.cf
- Added stub man pages for hoststat and purgestat
- rmail man page added to alternatives
- Updated subpackages description
- sendmail-cf/cf/README is not packaged - it is useless for end users
- Added comments about purpose of files and patches

* Mon Jul 19 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-9.0.cf
- Added LICENSE to milter subpackage according to new Licensing Guidelines

* Tue Jun 15 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-8.2.cf
- Update for 8.14.4-8 in Rawhide

* Fri Jun 11 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-8.1.cf
- Don't emit an error at daemon startup if %%{_libdir}/sasl2/Sendmail.conf is
  missing and we expect config to be in %%{_sysconfdir}/sasl2/Sendmail.conf

* Wed Jun  9 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-8.0.cf
- sasl2 config moved from %%{_libdir}/sasl2 to %%{_sysconfdir}/sasl2 from RHEL-5
- Added libdb5 patch for building with libdb-5
- Build with libdb from Fedora 14

* Tue Jun  1 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-7.0.cf
- Fixed user/group creation

* Wed May 26 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-6.1.cf
- Add support for F-16 build
- Rebuild for db4-4.8.30 in F-13, which no longer needs compat-db

* Fri May 14 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-6.0.cf
- Add support for RHEL-6 build
- compat-db only needed for F-13 as F-14 now has db4-4.8.30

* Wed Mar 31 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-5.0.cf
- Build with compatdb-4.7.25 for Fedora 13 onwards due to incompatibility of
  Berkeley DB 4.8.x (#556148)

* Fri Mar  5 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-4.0.cf
- Used noreplace for sasl config
- Used ghost instead of explicit provides
- Don't own dir %%{_sysconfdir}/NetworkManager/dispatcher.d/ in F-9 onwards

* Mon Feb 15 2010 Jaroslav Škarvada <jskarvad@redhat.com> - 8.14.4-3.0.cf
- Fixed libresolv implicit DSO linking (#564647)
- Fixed initscript LSB compliance (#561040)

* Thu Feb  4 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-2.0.cf
- RPM attributes S, 5, T not recorded for statistics file
- Movefiles patch incorporated into aliases_dir patch
- Merge Fedora patches: aliases_dir, dynamic, makemapman, switchfile

* Sun Jan 10 2010 Paul Howarth <paul@city-fan.org> - 8.14.4-1.0.cf
- Update to 8.14.4 (see RELEASE_NOTES for details)
- Update dynamic, makemapman, and switchfile patches
- Drop exitpanic patch, similar fix applied upstream

* Mon Jan 04 2010 Paul Howarth <paul@city-fan.org> - 8.14.3-10.0.cf
- Handle IPv6:::1 in block_bad_helo.m4 like 127.0.0.1 (#549217)

* Mon Dec 21 2009 Paul Howarth <paul@city-fan.org> - 8.14.3-9.0.cf
- Merge review fixes (#226407)
- close-on-exec patches included as one patch (#485426)
- Skip colon separator when parsing service name in ServiceSwitchFile
- Return with non-zero exit code when free space is below MinFreeBlocks
- Fix service stop/restart when only smclient is running
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep 17 2009 Paul Howarth <paul@city-fan.org> - 8.14.3-8.0.cf
- Fix SRPM backwards compatibility broken by previous change

* Wed Sep 16 2009 Tomas Mraz <tmraz@redhat.com> - 8.14.3-8
- Use password-auth common PAM configuration instead of system-auth

* Mon Aug 31 2009 Paul Howarth <paul@city-fan.org> - 8.14.3-7.0.cf
- Rebuilt for openssl 1.0 in Rawhide

* Thu Jul 30 2009 Paul Howarth <paul@city-fan.org> - 8.14.3-6.0.cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
- Add distro macros for fc13, fc14, fc15
- Reinstate -D_FFR_TLS_1 define during build - still needed

* Mon May 11 2009 Paul Howarth <paul@city-fan.org> - 8.14.3-5.0.CF
- Define rpm macros in global context
- Make cf and doc subpackages noarch from Fedora 10 onwards
- Update to SLES-compatible dist tag macros

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.14.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Paul Howarth <paul@city-fan.org> - 8.14.3-4.0.CF
- Don't try to use -fno-pie on RHL9 where it's not supported

* Tue Jan 20 2009 Miroslav Lichvar <mlichvar@redhat.com> - 8.14.3-4
- Build shared libmilter (#309281)
- Drop static libraries
- Convert RELEASE_NOTES to UTF-8

* Wed Jan 14 2009 Paul Howarth <paul@city-fan.org> - 8.14.3-3.0.CF
- Use /etc/mail/make and init scripts from Fedora for Fedora 5 onwards;
  older releases stay with the old initscript and require "make"

* Fri Dec 19 2008 Miroslav Lichvar <mlichvar@redhat.com> - 8.14.3-3
- Run newaliases only when necessary

* Thu Dec  4 2008 Paul Howarth <paul@city-fan.org> - 8.14.3-2.0.CF
- Add NM dispatcher script (#451575)
- sendmail-cf package requires make (#467841)
- Fix multiarch conflicts (#343161)
- Preserve timestamps on config files
- gzip RELEASE_NOTES
- Defuzz patches
- Drop gcc2690 patch
- I have not included the /etc/mail/make script from Fedora because I consider
  it a step backwards, hard-coding how to build the maps rather than using
  the Makefile
- Add fc11 build support

* Fri Sep 19 2008 Paul Howarth <paul@city-fan.org> - 8.14.3-1.4.CF
- Add patch to fix leaked milter socket descriptor

* Tue Jul 29 2008 Paul Howarth <paul@city-fan.org> - 8.14.3-1.3.CF
- Resync smrsh paths patch with Rawhide
- Increase patch fuzz level to 2 for now to allow building on Rawhide

* Thu Jul 10 2008 Paul Howarth <paul@city-fan.org> - 8.14.3-1.2.CF
- Rebuild Rawhide version against new db4 version (4.7)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Add fc10 build support

* Wed Jun 18 2008 Paul Howarth <paul@city-fan.org> - 8.14.3-1.1.CF
- Add patch to fix leaked file descriptor when a libmilter application
  calls other programs

* Mon May  5 2008 Paul Howarth <paul@city-fan.org> - 8.14.3-1.0.CF
- Update to 8.14.3
- Add fc9 build support
- Update smrsh paths patch

* Mon Mar 31 2008 Paul Howarth <paul@city-fan.org> - 8.14.2-4.0.CF
- Rebuild

* Sat Mar 29 2008 Dennis Gilmore <dennis@ausil.us> - 8.14.2-4
- Add sparcv9 to the -fPIE list

* Sat Feb  9 2008 Paul Howarth <paul@city-fan.org> - 8.14.2-3.0.CF
- Rebuild

* Fri Feb  8 2008 Thomas Woerner <twoerner@redhat.com> - 8.14.2-3
- Added server(smtp) provide (rhbz#380621)

* Fri Dec  7 2007 Paul Howarth <paul@city-fan.org> - 8.14.2-2.1.CF
- Rebuild for new openldap/openssl in Rawhide

* Fri Nov  2 2007 Paul Howarth <paul@city-fan.org> - 8.14.2-1.1.CF
- Update to 8.14.2

* Thu Sep 27 2007 Paul Howarth <paul@city-fan.org> - 8.14.1-4.2.1.CF
- Current initscript requires more recent functions than those available in
  FC4, RHEL4, and older distributions, so use an older version of the
  initscript on those distributions

* Mon Sep 17 2007 Thomas Woerner <twoerner@redhat.com> - 8.14.1-4.2
- Made init script fully lsb conform

* Wed Aug 29 2007 Paul Howarth <paul@city-fan.org> - 8.14.1-4.1.1.CF
- Rebuild

* Wed Aug 29 2007 Thomas Woerner <twoerner@redhat.com> - 8.14.1-4.1
- Fixed condrestart in init script to use exit instead of return

* Wed Aug 29 2007 Paul Howarth <paul@city-fan.org> - 8.14.1-4.CF
- Revert sendmail/submit.mc/cf generation to Fedora method
- Fix script interpreter locations in contrib examples

* Mon Aug 27 2007 Thomas Woerner <twoerner@redhat.com> - 8.14.1-4
- Do not remove /etc/aliases.db on package removal (rhbz#223637)
- Fixed remaining paths to certs directory in sendmail.mc file
- Added contrib scripts to the doc package (rhbz#183723)
- Added LSB header to init script (rhbz#247053)
- Added plain login information for cyrus-sasl to access file
- Fixed compile problem with glibc-2.6.90+
- Fixed reoccuring m4 include problem (now using sinclude)

* Tue Jul 24 2007 Paul Howarth <paul@city-fan.org> - 8.14.1-3.CF
- Fix name of localdomain patch

* Fri Jul 20 2007 Thomas Woerner <twoerner@redhat.com> - 8.14.1-3
- Do not accept localhost.localdomain as valid address from smtp

* Fri Jun 22 2007 Paul Howarth <paul@city-fan.org> - 8.14.1-2.CF
- Merge changes from Fedora (mostly my suggestions)
- Add fc8 build support
- Fix up build to work with m4 > 1.4.8

* Mon Apr 16 2007 Thomas Woerner <twoerner@redhat.com> - 8.14.1-2
- Readded chkconfig add for sendmail in post script
- Dropped mysql support (useless without further patching)
- Fixed executable permissions for /usr/sbin/makemap and /usr/sbin/smrsh
- Dropped FFR_UNSAFE_SASL, because it has no effect anymore

* Thu Apr 12 2007 Thomas Woerner <twoerner@redhat.com> - 8.14.1-1.1
- Replaced prereq tags with requires() tags

* Thu Apr 12 2007 Thomas Woerner <twoerner@redhat.com> - 8.14.1-1
- spec file cleanup for merge review (rhbz#226407)
- Using pdf documentation

* Thu Apr  5 2007 Paul Howarth <paul@city-fan.org> - 8.14.1-1.CF
- Update to 8.14.1
- Update noversion patch for new helpfile
- Add URL tag
- Remove periods from end of subpackage summaries

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> - 8.14.0-2.CF
- Add RHEL5 build support

* Fri Feb  2 2007 Paul Howarth <paul@city-fan.org> - 8.14.0-1.CF
- Update to 8.14.0
- Part of makemapman patch now upstream
- Update -dynamic patch
- Install makemap and smrsh mode u+w for debuginfo creation
- HTTP proxy blocking now enabled by default
- Do not mark initscript as %%config
- Don't put a full stop at the end of the summary

* Tue Jan 23 2007 Florian La Roche <laroche@redhat.com>
- #205803 add sparc/sparc64 to -fPIE list
- Change sendmail.cf reference into sendmail-cf package name

* Wed Dec 13 2006 Paul Howarth <paul@city-fan.org> - 8.13.8-4.CF
- tcp_wrappers-devel buildreq required only for fc7 and later

* Mon Dec  4 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.8-3.1
- tcp_wrappers has a new devel and libs sub package, therefore changing build
  requirement for tcp_wrappers to tcp_wrappers-devel

* Tue Nov 28 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.8-3
- Added missing LDAP_DEPRECATED flag (#206288)

* Thu Sep  7 2006 Paul Howarth <paul@city-fan.org> - 8.13.8-2.CF
- Rewrite distribution-detection code to not do build-time rpmdb queries
- Add Fedora Development build support
- In %%post, don't both changing ownership of files that don't exist or are
  about to be deleted
- Escape backquotes properly when configuring _FFR_BLOCK_PROXIES

* Mon Sep 04 2006 Florian La Roche <laroche@redhat.com>
- Unify sendmail.mc
- Remove version information from sendmail helpfile

* Fri Sep  1 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.8-1
- New version 8.13.8 fixes CVE-2006-4434 (denial of service via a long header
  line)

* Thu Aug 10 2006 Paul Howarth <paul@city-fan.org> - 8.13.8-1.CF
- Update to 8.13.8
- Remove yesterday's patches, fixes now in main source

* Wed Aug  9 2006 Paul Howarth <paul@city-fan.org> - 8.13.7-5.CF
- Apply upstream patches for shared memory and pid file issues (#198099);
  thanks to Ugo Bellavance for letting me know about these

* Mon Jul 24 2006 Paul Howarth <paul@city-fan.org> - 8.13.7-4.CF
- Rebuild

* Thu Jul 20 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.7-3.1
- Dropped chown of /etc/mail/authinfo.db (#199455)

* Tue Jul 18 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.7-3
- Using new syntax for access database (#177566)
- Fixed failure message while shutting down sm-client (#119429)
  resolution: stop sm-client before sendmail
- Fixed method to specify persistent queue runners (#126760)
- Removed patch backup files from sendmail-cf tree (#152955)
- Fixed missing dnl on SMART_HOST define (#166680)
- Fixed wrong location of aliases and aliases.db file in aliases man page
  (#166744)
- Enabled CipherList config option for sendmail (#172352)
- Added user chowns for /etc/mail/authinfo.db and move check for cf files
  (#184341)
- Fixed Makefile of vacation (#191396)
  vacation is not included in this sendmail package
- /var/log/mail now belongs to sendmail (#192850)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 8.13.7-2.1
- Rebuild

* Mon Jun 19 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.7-2
- Dropped reference to Red Hat Linux in sendmail-redhat.mc (#176679)

* Mon Jun 19 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.7-1
- New version 8.13.7 (#195282)
- Fixes CVE-2006-1173 (VU#146718): possible denial of service issue caused by
  malformed multipart messages (#195776)

* Thu Jun 15 2006 Paul Howarth <paul@city-fan.org> - 8.13.7-1.CF
- Update to 8.11.7 (#195282)
- Add missing buildreq m4 (#195006)
- Own directory %%{stdir} (#192850)
- Fix OS name in .mc files (#176679)

* Thu Mar 23 2006 Paul Howarth <paul@city-fan.org> - 8.13.6-1.CF
- Rebuild

* Wed Mar 22 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.6-0.FC5.1
- New version 8.13.6 (fixes VU#834865)
- Dropped libmilter-sigwait patch (fixed in 8.13.6)

* Wed Mar 22 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.6-1
- New version 8.13.6 (fixes VU#834865)
- Dropped libmilter-sigwait patch (fixed in 8.13.6)

* Wed Mar  1 2006 Paul Howarth <paul@city-fan.org> - 8.13.5-3.CF
- Fix CentOS build support
- Add preliminary support for Fedora Core 5
- Fix PAM config for everything older than FC5

* Fri Feb 17 2006 Thomas Woerner <twoerner@redhat.com> - 8.13.5-3
- Fixed selinuxenabled path in initscript
- Fixed error handling with sigwait (#137709)
  Thanks to Jonathan Kamens for the patch
- Fixed prereq for cyrus-sasl: now using /usr/sbin/saslauthd
- Appended 'dnl' to cert tags in sendmail.mc

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 8.13.5-2.2.1
- Bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 8.13.5-2.2
- Rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- Rebuilt

* Thu Nov 10 2005 Tomas Mraz <tmraz@redhat.com> - 8.13.5-2
- Rebuilt against new openssl

* Mon Oct 10 2005 Tomas Mraz <tmraz@redhat.com>
- Use include instead of pam_stack in pam config

* Mon Sep 19 2005 Thomas Woerner <twoerner@redhat.com> - 8.13.5-1
- New version 8.13.5
- Fixed email address in changelog

* Thu Jun 30 2005 Paul Howarth <paul@city-fan.org> - 8.13.4-2.1.CF
- Add fc4 support, using /etc/pki/tls/certs instead of
  /usr/share/ssl/certs for certificates (all other distros stay with old dir)
- Build maps in postinstall script using the existing Makefile, so that any
  edits to that Makefile are honoured (add PreReq: make too)

* Tue May 31 2005 Paul Howarth <paul@city-fan.org> - 8.13.4-2.0.CF
- Add CentOS & White Box support

* Fri May  6 2005 Thomas Woerner <twoerner@redhat.com> - 8.13.4-2
- Using new certificates directory /etc/pki/tls/certs

* Wed May  4 2005 Paul Howarth <paul@city-fan.org> - 8.13.4-2.CF
- Add rhel4 support

* Wed Apr 27 2005 Thomas Woerner <twoerrner@redhat.com> - 8.13.4-1.1
- Added configuration example for Cyrus-IMAPd to sendmail.mc (#142001)
  Thanks to Alexander Dalloz

* Tue Apr 12 2005 Thomas Woerner <twoerner@redhat.com> - 8.13.4-1
- New version 8.13.4
- Added requires for the sendmail base package in sendmail-cf, sendmail-devel
  and sendmail-doc
- Dropped upstream close_wait.p2 patch

* Thu Mar 17 2005 Thomas Woerner <twoerner@redhat.com> - 8.13.3-2
- Dropped direct support for bind: no bind in confLIBSEARCH anymore,
  using libresolv again

* Thu Mar 10 2005 Jason Vas Dias <jvdias@redhat.com> - 8.13.3-1.2
- Fix libbind include path - use /usr/include/bind/netdb.h, not
  /usr/include/netdb.h - bug: 150339

* Tue Mar  1 2005 Thomas Woerner <twoerner@redhat.com> - 8.13.3-1.1
- Fixed gcc4 build: use double quotes for confOPTIMIZE to avoid m4 confusion
  with ','
- Fix for ppc: using triple-quotes

* Wed Feb  2 2005 Paul Howarth <paul@city-fan.org> - 8.13.3-2.CF
- Add rhel3 support
- Dispense with _FFR_SMTP_SSL, _FFR_WORKAROUND_BROKEN_NAMESERVERS,
  _FFR_MILTER_ROOT_UNSAFE, and _FFR_UNSAFE_SASL defines, not
  appropriate for sendmail 8.13.x

* Wed Jan 26 2005 Thomas Woerner <twoerner@redhat.com> - 8.13.3-1
- New version 8.13.3 with closewait.p2 patch

* Thu Jan  6 2005 Paul Howarth <paul@city-fan.org> - 8.13.2-1.CF
- Patch spec file to auto-select package options for build distribution
- Include patch in source RPM (sendmail-8.13.2-city-fan.org.patch)
- Include aliases file in source RPM
- Add _FFR_BLOCK_PROXIES

* Fri Dec 17 2004 Thomas Woerner <twoerner@redhat.com> - 8.13.2-1
- New version 8.13.2
- Thanks to Robert Scheck for adapting the patches

* Thu Nov 11 2004 Jeff Johnson <jbj@jbj.org> - 8.13.1-2.2
- Rebuild against db-4.3.21

* Tue Oct 26 2004 Thomas Woerner <twoerner@redhat.com> - 8.13.1-2.1
- Added missing BuildRequires for groff (#134778)
- Added socketmap support (#131906)

* Wed Sep  1 2004 Thomas Woerner <twoerner@redhat.com> - 8.13.1-2
- Applied Sendmail Errata (2004-08-24): errata_cataddr (#131179)

* Mon Aug  2 2004 Thomas Woerner <twoerner@redhat.com> - 8.13.1-1
- New version 8.13.1

* Wed Jun 30 2004 Thomas Woerner <twoerner@redhat.com> - 8.13.0-1.1
- Fixed init script to not complain missing sendmail-cf package (#126975)
- Better message in /etc/mail/Makefile for missing sendmail-cf package

* Mon Jun 21 2004 Thomas Woerner <twoerner@redhat.com> - 8.13.0-1
- New version 8.13.0
- Made /etc/mail/Makefile complain missing sendmail-cf package (#123348)
- Fixed ownership of %%{_includedir}/libmilter (#73977)
- Moved back to /usr/share/ssl/certs as certificate directory (see sendmail.mc)
- Extended sendmail.mc for spam protection

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Thu Apr  15 2004 Dan Walsh <dwalsh@redhat.com> - 8.12.11-4.6
- Fix selinuxenabled location

* Wed Apr  7 2004 Dan Walsh <dwalsh@redhat.com> - 8.12.11-4.5
- Fix security context of pid file for selinux

* Fri Apr  2 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-4.4
- Fixed alternatives slave for sendmail.sendmail

* Thu Apr  1 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-4.3
- Set path to cyrus-imapd deliver

* Wed Mar 31 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-4.2
- Fixed spec file

* Wed Mar 31 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-4.1
- Added authinfo to possible sendmail maps: /etc/mail/Makefile (#119010)
- Fixed minor version in changelog

* Wed Mar 17 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-4
- New slave in alternatives for sendmail man page

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Thu Feb 19 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-3.2
- Removed buildreq for gdbm-devel

* Thu Feb 19 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-3
- RH3.0E version: sasl1, no pie, old_setup (provide /etc/aliases)
- New switches for pie and old_setup

* Thu Feb  5 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-2.1
- New Sendmail.conf for sasl1 (#114726)

* Wed Jan 28 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-2
- Added information for saslauthd and AUTH (#113463)
- Fixed STATUS_FILE in sendmail-redhat.mc (#114302)
- Reset mta after update if mta was sendmail (#114257)
- Enabled pie for ia64 again

* Mon Jan 26 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-1.3
- Removed /etc/aliases (now in setup)

* Thu Jan 22 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-1.2
- /usr/lib/sendmail is in alternatives, now
- Removed trailing / from stdir
- Fixed define for STATUS_FILE

* Wed Jan 21 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-1.1
- Disabled pie for ia64

* Tue Jan 20 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.11-1
- New version 8.12.11
- pie

* Mon Jan 12 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.10-7
- fc2 version (with sasl2)

* Mon Jan 12 2004 Thomas Woerner <twoerner@redhat.com> - 8.12.10-6
- Reverted to sasl1 for 3.0E: added with_sasl1
- spec file cleanup
- New location for statistics file (/var/log/)

* Sun Dec 14 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix download url

* Sat Dec 13 2003 Jeff Johnson <jbj@jbj.org> - 8.12.10-5
- Rebuild against db-4.2.52

* Thu Dec 11 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix pam alternatives handling
- Add patch from Jakub Jelinek for PIE

* Fri Dec 05 2003 Karsten Hopp <karsten@redhat.de> - 8.12.10-3
- Fix usage of RPM_OPT_FLAGS variable in spec file
- Add makecert.sh script to -doc subpackage
- Add cert paths to sendmail.mc

* Wed Nov 26 2003 Karsten Hopp <karsten@redhat.de>
- Fix alternatives (#109313)
- Enable TLS

* Mon Oct 27 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Add some more system account entries into /etc/aliases
- Add example for a mixed IPv6/IPv4 setup

* Fri Oct 24 2003 Harald Hoyer <harald@redhat.de> - 8.12.10-2
- Added with_ options

* Thu Sep 25 2003 Jeff Johnson <jbj@jbj.org> - 8.12.10-1.2
- Rebuild against db-4.2.42

* Thu Sep 18 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.10

* Wed Sep 17 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Add security patches for CAN-2003-0694 and CAN-2003-0681

* Mon Sep 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Move debug information from sendmail into debuginfo rpm
- On %%post make sure /etc/aliases.db and /etc/mail/*.db is correctly
  owned by root
- Do not set confTRUSTED_USER to smmsp in sendmail-redhat.mc

* Fri Aug 08 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Run "make -C /etc/mail" (maybe generating new sendmail.cf), then newaliases
- Added $SENDMAIL_OPTARG that could be set by /etc/sysconfig/sendmail #99224

* Wed Jul 30 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Adjust rpm license tag to say "Sendmail"

* Fri Jul 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Enable pie only for a few archs
- Enable full optims for s390 again, compiler seems to be fixed

* Mon Jun 30 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Apply patch from Ulrich Drepper to support -pie

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Sat May 31 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Make init script more robust #91879

* Sun May 11 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- sendmail-cf requires m4, #90513

* Fri May  9 2003 Nalin Dahyabhai <nalin@redhat.com> - 8.12.9-6
- Move Sendmail.conf from /usr/lib/sasl to /usr/lib/sasl2 and change the
  default pwcheck method to "saslauthd"

* Mon May  5 2003 Nalin Dahyabhai <nalin@redhat.com> - 8.12.9-5
- Configure to use libsasl2 instead of libsasl to avoid linking with both
  (we also link to libldap, which now uses libsasl2)
- Link with -ldb instead of -ldb-4.0 on all releases after RHL 7.3 instead
  of just 7.3 (all versions of db4-devel thereafter are expected to provide
  the right linking setup)

* Tue Apr 15 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Add a "umask 022" before building the *.cf files in /etc/mail/Makefile

* Fri Apr 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Mark /etc/mail/Makefile as config(noreplace) #87688
- Mark /etc/pam.d/smtp as config(noreplace) #87731

* Sun Mar 30 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.9

* Wed Mar 26 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Call make with the target "all" #86005
- Add start/stop/restart as Makefile targets
- Add another security patch

* Wed Mar 05 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Add correct db4-devel requirements for newer releases
- Completely re-do many ifdef code in the spec-file
- Fix some issues building for older RHL releases

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- Rebuilt

* Mon Feb 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.8

* Tue Feb 11 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- Rebuilt

* Wed Jan 22 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Add a confTRUSTED_USER line into sendmail.mc, submit.mc is already ok
- Add patch from sendmail.org for cf/m4/proto.m4

* Mon Jan 13 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Do not reject all numeric login names if hesiod support is
  compiled in #80060
- Remove reference to non-existing man-pages #74552

* Sun Jan 12 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- sendmail-8.12.7-etrn.patch from Jos Vos <jos@xos.nl>
- submit.mc: enable "use_ct_file" by default #80519
- Add _FFR_MILTER_ROOT_UNSAFE #78223

* Sat Jan 11 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.7
- Hack to make lib64 version work
- Downgrade s390 optims to make it compile

* Mon Jan  6 2003 Nalin Dahyabhai <nalin@redhat.com>
- Add openssl-devel as a build-time requirement
- Preprocess the config file to add the right version of %%{_lib}
- Add kerberos -I and -L flags to build configuration, needed for newer
  versions of libssl

* Wed Dec 11 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Always have a queue run interval for sm-msp-queue #81424
- Jos Vos suggests adding another variable for sm-client queue-run

* Mon Dec 02 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Add the following changes from Adrian Havill <havill@redhat.com>
  to our default sendmail.mc file:
	- Added commented-out-by-default common AUTH/SSL examples
	- Updated m4 example and rpm reference
	- Added more comment documentation
	- Add commented out confAUTO_REBUILD example
	- Improve description about MASQUERADE_AS

* Mon Nov 18 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Add to submit.mc: define(`_MTA_HOST_', `[127.0.0.1]')
  to deliver directly to localhost IP instead of going through DNS
- submit.mc: exchange msp and use_ct_file to better enable it
- Do not undefine UUCP_RELAY and BITNET_RELAY
- sendmail.mc: use LOCAL_DOMAIN instead of "Cw" directly
- sendmail.mc: add commented out MASQUERADE_AS example
- Re-enable DAEMON variable for now

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com>
- Remove absolute path names from the PAM configuration, allowing it to be
  used by any arch on a multilib system

* Sun Nov 03 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix mailman alias  #75129

* Sat Nov 02 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.6

* Fri Oct 04 2002 Phil Knirsch <pknirsch@redhat.com> - 8.12.5-7.2
- Drop optflags to default to build correctly on s390(x)

* Thu Sep 12 2002 Than Ngo <than@redhat.com> - 8.12.5-7.1
- Added fix to build on x86_64

* Thu Aug 29 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Clean up some specfile cruft
- Add more pseudo accounts to /etc/aliases

* Thu Jul 25 2002 Phil Knirsch <pknirsch@redhat.com>
- Only generate new cf files if the /usr/share/sendmail-cf/m4/cf.m4 exists

* Wed Jul 24 2002 Phil Knirsch <pknirsch@redhat.com>
- Changed the behaviour in /etc/mail/Makefile to generate the sendmail.cf and
  submit.cf from the mc files if they changed
- Added a small README.redhat that descibed the new mc file behaviour and the
  split into sendmail.cf and submit.cf

* Wed Jul 24 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Suggestions from Stephane Lentz:
	- Add correct include statement into submit.mc (like sendmail.mc)
	- Add commented out further suggestions into submit.mc
	- Disable ident lookups

* Thu Jul 11 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix initscript for the second daemon and pidfile location #67910

* Mon Jul 01 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.5

* Thu Jun 27 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Add further queue runs, slight spec-file cleanups

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- Automated rebuild

* Tue Jun 11 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.4, adjust smrsh patch

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- Automated rebuild

* Sat Apr 13 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.12.3

* Tue Mar 26 2002 Tim Powers <timp@redhat.com>
- Rebuilt

* Mon Mar 25 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix alternatives --remove  #61737
- Add sendmail/SECURITY as docu #61870, #61545

* Wed Mar 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Add libsm.a #61270
- Change from /etc/sendmail.cf to /etc/mail/sendmail.cf
- Add milter patch

* Wed Mar 13 2002 Bill Nottingham <notting@redhat.com>
- Ignore DAEMON=no; that configuration no longer functions

* Wed Mar 13 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Make sure more version information is in the cf file #54418
- Do not use "-b" flag when patching in spec file
- Require newer chkconfig version #61035
- Fix preun script #60880
- Add TMPF to access file creation #60956

* Sat Mar 09 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- mv include files to /usr/include/libmilter/ #60795
- Do not use "-f" option to virtusertable #60196
- Add an example smarthost entry to config file #58298

* Fri Mar  8 2002 Bill Nottingham <notting@redhat.com> - 8.12.2-5
- Use alternatives --initscript support
- Run chkconfig --add before alternatives

* Thu Feb 28 2002 Bill Nottingham <notting@redhat.com> - 8.12.2-3
- Run alternatives --remove in %%preun
- Add some prereqs

* Mon Feb 25 2002 Nalin Dahyabhai <nalin@redhat.com> - 8.12.2-2
- Fix smmsp useradd invocation in %%pre
- Switch back to db3 for storing db files

* Wed Feb 20 2002 Nalin Dahyabhai <nalin@redhat.com> - 8.12.2-1
- Update to 8.12.2 (adds STARTTLS support without need for sfio)
- Don't forcibly strip binaries; let the build root handle it
- Add creation of the smmsp account (51/51) in %%pre
- Enable hesiod map support
- Modify default config to use an MSP
- Comment out 'O AutoRebuildAliases' in %%post, otherwise sendmail will
  fail to restart on upgrades

* Wed Feb 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Add proper ifdefs around new alternative stuff to also be able
  to build this for older releases

* Fri Feb  1 2002 Bill Nottingham <notting@redhat.com> - 8.11.6-12
- %%triggerpostun on older versions to make sure alternatives work on
  upgrades

* Thu Jan 31 2002 Bill Nottingham <notting@redhat.com> - 8.11.6-11
- Clean up alternatives somewhat, provide /usr/sbin/sendmail & friends

* Thu Jan 31 2002 Bernhard Rosenkraenzer <bero@redhat.com> - 8.11.6-10
- Use alternatives

* Tue Jan 22 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix quotation in spec-file

* Thu Jan 10 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Integrate ugly logic to compile this src.rpm also on older Red Hat
  Linux releases
- Clean up spec file and patches a bit
- Add db4 support

* Wed Jan 09 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix another path to correct docu
- Include sendmail/README in the docu
- Compile with -D_FFR_WORKAROUND_BROKEN_NAMESERVERS, but do not
  enable this at runtime
- devel subpackage files owned by root now

* Fri Dec 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Change "-q" to "-s" as option to make #57216
- Move milter lib into separate "devel" sub-package
- Add include files to devel sub-package #56064
- Fix pointer in access file to docu #54351

* Mon Sep 10 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Add libmilter docu
- Add support for userdb to /etc/mail/Makefile
- Use "btree" database files if a userdb is used
- BuildRequires tcp_wrappers

* Fri Aug 31 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix libmilter support
- Fix init script to use /etc/mail/Makefile #52932

* Sat Aug 25 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Add libmilter library

* Thu Aug 23 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.11.6
- Correctly use /etc/mail/statistics

* Thu Aug 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Change init script back to older conventions #51297
- Remove DoS patch, not needed anymore #51247

* Mon Aug 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Add option '-t' to procmail for local mail delivery

* Tue Jul 24 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Point to the map files in sendmail.cf as pointed out by
  David Beveridge <David@beveridge.com>

* Mon Jul 23 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Add build requires #49695
- Do not call "userdel"

* Tue Jul 10 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Change sendmail.cf to "noreplace"

* Thu Jun 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.11.4

* Wed May 09 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.11.3
- Add "localhost.localdomain" to the list of hostnames accepted
  for local delivery "Cw" in /etc/mail/sendmail.mc
- Add patches from Pekka Savola <pekkas@netcore.fi>
	- Enable IPv6 at compile time, patch for glibc 2.2 from PLD
	- Add a commented-out IPv6 daemon .mc line to sendmail.mc
	- BuildRequire: openldap-devel, cyrus-sasl-devel

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- Rebuild in new environment

* Tue Feb 27 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Add noreplace for /etc/sysconfig/sendmail and /etc/mail/sendmail.mc

* Wed Feb 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Add changes from Christopher McCrory <chrismcc@pricegrabber.com>:
	- Prepare /etc/mail/Makefile for more maps not shipped with this rpm
	- Changed sendmail.mc to include some more commented out options,
	  so that people are directly pointed at important options
	- Add /etc/pam.d/smtp for AUTH
	- Add FEATURE(use_ct_file) and /etc/mail/trusted-users

* Fri Feb 16 2001 Tim Powers <timp@redhat.com>
- Don't obsolete postfix and exim, only conflict (for RHN purposes)

* Thu Feb 15 2001 Trond Eivind Glomsrød <teg@redhat.com>
- Obsolete and conflict with exim and postfix

* Wed Feb 14 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix division by zero bug in #20395
- mv /usr/lib/sendmail-cf /usr/share/sendmail-cf

* Wed Feb  7 2001 Trond Eivind Glomsrød <teg@redhat.com>
- i18n tweaks to initscript

* Wed Feb 07 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- aliases.db should be owned by group root

* Wed Jan 24 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Prepare for startup-script translation

* Tue Jan 23 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Enable daemon mode again, but only listen to the loopback device
  instead of all devices
- Do not include check.tar with old anti-spam rules

* Fri Jan 12 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix configuration of /etc/aliases

* Mon Jan 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Fix interoperation problems with communigate pro
- Disable msa

* Thu Jan 04 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to (security release) 8.11.2
- Build also on RHL 6.x #16061
- Include smrsh man-page #17901
- Use the "-f" flag for makemap to preserve case for virtusertable
  and userdb in /etc/mail/Makefile - suggested by Harald Hoyer
- Fix /usr/doc → usr/share/doc in docu #20611
- Wrong path in sendmail.mc #20691
- tcp-wrapper support wasn't enabled correctly #21642
- Do not expose user "root" when masquerading like in older releases #21643
- Disable the VRFY and EXPN smtp commands #21801
- Disable queue-runs for normal users (restrictqrun privacy flag)
- Fix typo in sendmail.mc #21880, #22682
- Disable daemon mode to see what needs fixing

* Mon Oct 02 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- Update to 8.11.1

* Fri Sep 08 2000 Nalin Dahyabhai <nalin@redhat.com>
- Rebuild in new environment

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- Apply fixes for LDAP maps being closed too soon

* Mon Aug 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- Provide /usr/lib/sasl/Sendmail.conf so that people know we can use it (#16064)

* Mon Aug  7 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- Enable listening on the smtp port again

* Fri Aug  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- Fix "missing find_m4.sh" problem by defining M4=/usr/bin/m4 (#14767)

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- Okay, enable LDAP support again
- Enable SMTP auth support via Cyrus SASL

* Tue Jul 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- Disable the LDAP support until we can remove the sendmail→OpenLDAP→perl dep
- Fix prereq

* Tue Jul 25 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Update to sendmail 8.11.0
- Add LDAP support

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- Move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- Automatic rebuild

* Sun Jul  9 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Require procmail
- Add further aliases

* Sat Jul  8 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Prereq init.d
- Fix typo

* Tue Jul  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Ignore error from useradd

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- FHS fixes
- /etc/rc.d/init.d -> /etc/init.d
- Fix initscript

* Fri Jun 23 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Change to /usr/share/man

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- Turn off daemon behaviour by default

* Mon Jun 19 2000 Bill Nottingham <notting@redhat.com>
- Rebuild, fix dependencies

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- Prereq /usr/sbin/useradd

* Fri May 19 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Enable MAP_REGEX
- Enable tcp_wrapper support

* Thu May 18 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Fix etc/mail/aliases -> /etc/aliases in sendmail-redhat.mc

* Wed May  3 2000 Bill Nottingham <notting@redhat.com>
- Update to 8.10.1
- Fix build without sendmail installed
- Add 'mailnull' user

* Wed Mar 15 2000 Bill Nottingham <notting@redhat.com>
- Update to 8.10.0
- Remove compatiblity chkconfig links
- Add a mailnull user for sendmail to use

* Thu Feb 17 2000 Cristian Gafton <gafton@redhat.com>
- Break the hard link for makemap and create it as a symlink (#8223)

* Thu Feb 17 2000 Bernhard Rosenkränzer <bero@redhat.com>
- Fix location of mailertable (Bug #6035)

* Sat Feb  5 2000 Bill Nottingham <notting@redhat.com>
- Fixes for non-root builds (#8178)

* Wed Feb  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- Change perms on /etc/sysconfig/sendmail from 0755 to 0644
- Allow compressed man-pages

* Thu Dec 02 1999 Cristian Gafton <gafton@redhat.com>
- Add patch to prevent the DoS when rebuilding aliases

* Wed Sep  1 1999 Jeff Johnson <jbj@redhat.com>
- Install man pages, not groff output (#3746)
- Use dnl not '#' in m4 comment (#3749)
- Add FEATURE(mailtertable) to the config - example file needs this (#4649)
- Use db2 not db1

* Tue Aug 31 1999 Jeff Johnson <jbj@redhat.com>
- Add 127.0.0.1 to /etc/mail/access to avoid IDENT: relay problem (#3178)

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in preun, not postun (#3982)

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- Initscript munging

* Fri Jul 02 1999 Cristian Gafton <gafton@redhat.com>
- Fixed typo bug in comment in the default .mc file (#2812)

* Mon Apr 19 1999 Cristian Gafton <gafton@redhat.com>
- Fox the awk scripts in the postinstall
- Enable FEATURE(accept_unresolvable_domains) by default to make laptop
  users happy

* Sun Apr 18 1999 Cristian Gafton <gafton@redhat.com>
- Make the redhat.mc be a separate source file; sanitize patches that used
  to touch it
- Install redhat.mc as /etc/sendmail.mc so that people can easily modify
  their sendmail.cf configurations

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- Fixed virtusertable patch
- Make smrsh look into /etc/smrsh

* Mon Mar 29 1999 Jeff Johnson <jbj@redhat.com>
- Remove noreplace attr from sednmail.cf

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- Provide a more sane /etc/mail/access default config file
- Use makemap to initialize the empty databases, not touch
- Added a small, but helpful /etc/mail/Makefile

* Mon Mar 22 1999 Jeff Johnson <jbj@redhat.com>
- Correct dangling symlinks
- Check for map file existence in %%post

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- Auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- Improved 8.9.3 config from Mike McHenry <mmchen@minn.net>

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- Version 8.9.3

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- Build for 6.0
- Use the libdb1 stuff correctly

* Mon Sep 21 1998 Michael K. Johnson <johnsonm@redhat.com>
- Allow empty QUEUE in /etc/sysconfig/sendmail for those who
  want to run sendmail in daemon mode without processing the
  queue regularly

* Thu Sep 17 1998 Michael K. Johnson <johnsonm@redhat.com>
- /etc/sysconfig/sendmail

* Fri Aug 28 1998 Jeff Johnson <jbj@redhat.com>
- Recompile statically linked binary for 5.2/sparc

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- Translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- Enhanced initscripts

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- Added a rmail patch

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- Argh! Fixed some of the db1 handling that had to be added for glibc 2.1

* Fri Oct 24 1997 Donnie Barnes <djb@redhat.com>
- Added support for db1 on SPARC

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- Added chkconfig support
- Various spec file cleanups
- Changed group to Networking/Daemons (from Daemons); sure, it runs on
  non networked systems, but who really *needs* it then?

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- Made /etc/mail/deny.db a ghost
- Removed preun that used to remove deny.db (ghost handles that now)
- NOTE: upgrading from the sendmail packages in 4.8, 4.8.1, and possibly
  4.9 (all Red Hat betas between 4.2 and 5.0) could cause problems; you
  may need to do a makemap in /etc/mail and a newaliases after upgrading
  from those packages; upgrading from 4.2 or prior should be fine

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- Made aliases.db a ghost

* Tue Sep 23 1997 Donnie Barnes <djb@redhat.com>
- Fixed preuninstall script to handle aliases.db on upgrades properly

* Mon Sep 15 1997 Donnie Barnes <djb@redhat.com>
- Fixed post-install output and changed /var/spool/mqueue to 755

* Thu Sep 11 1997 Donnie Barnes <djb@redhat.com>
- Fixed /usr/lib/sendmail-cf paths

* Tue Sep 09 1997 Donnie Barnes <djb@redhat.com>
- Updated to 8.8.7
- Added some spam filtration
- Combined some makefile patches
- Added BuildRoot support

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- Marked initscript symlinks as missingok
- Run newalises after creating /var/spool/mqueue

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>
- Built against glibc, updated release to -6 (skipped -5!)

* Tue Apr 01 1997 Erik Troan <ewt@redhat.com>
- Added -nsl on the Alpha (for glibc to provide NIS functions)

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Added nis support
